GNU bug report logs - #18759
[macOS] Display of #x2028 (LINE SEPARATOR) crashes with (set-default-font "-apple-monaco-medium-r-normal--10-100-72-72-m-100-mac-roman")

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Donald Tillman <don@HIDDEN>; dated Sat, 18 Oct 2014 04:27:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Changed bug title to '[macOS] Display of #x2028 (LINE SEPARATOR) crashes with (set-default-font "-apple-monaco-medium-r-normal--10-100-72-72-m-100-mac-roman")' from '24.3.94; Yank from clipboard crashes' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 18759 <at> debbugs.gnu.org:


Received: (at 18759) by debbugs.gnu.org; 20 Oct 2014 15:25:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 20 11:25:18 2014
Received: from localhost ([127.0.0.1]:57417 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XgEph-00065p-Uc
	for submit <at> debbugs.gnu.org; Mon, 20 Oct 2014 11:25:18 -0400
Received: from c.mail.sonic.net ([64.142.111.80]:53400)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <don@HIDDEN>) id 1XgEpf-00065e-2P
 for 18759 <at> debbugs.gnu.org; Mon, 20 Oct 2014 11:25:16 -0400
Received: from [10.0.1.8] (173-228-125-209.dsl.static.fusionbroadband.com
 [173.228.125.209]) (authenticated bits=0)
 by c.mail.sonic.net (8.14.9/8.14.9) with ESMTP id s9KFP93H006445
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT);
 Mon, 20 Oct 2014 08:25:11 -0700
Content-Type: text/plain; charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 8.0 \(1990.1\))
Subject: Re: bug#18759: 24.3.94; Yank from clipboard crashes
From: Donald Tillman <don@HIDDEN>
In-Reply-To: <83r3y5etj8.fsf@HIDDEN>
Date: Mon, 20 Oct 2014 08:25:09 -0700
Content-Transfer-Encoding: quoted-printable
Message-Id: <2EF84CF3-FE1B-4E5E-8C48-6A4069475626@HIDDEN>
References: <72041AB1-3DEF-44EF-B252-9270B6082BA6@HIDDEN>
 <83siilexen.fsf@HIDDEN> <4C067D86-5094-41F1-95A8-B8C8C7FF0009@HIDDEN>
 <83r3y5etj8.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.1990.1)
X-Sonic-CAuth: UmFuZG9tSVYoIRPbL5moU935bk4IQwJwol78wHKqSlpUZRJkkDmwesJLLP2pAvcMYpdiy7Anu5l27NX27vhQvS6ZlRhGz+7a
X-Sonic-ID: C;CnQvR21Y5BGuRsrqBCAIFQ== M;LBehR21Y5BGuRsrqBCAIFQ==
X-Spam-Flag: No
X-Sonic-Spam-Details: 0.0/5.0 by cerberusd
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 18759
Cc: 18759 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Jan Dj=C3=A4rv:

> Can you try
> (set-default-font =
"-*-Monaco-normal-normal-normal-*-10-*-*-*-m-0-iso10646-1")
> and see if that still crashes?


Hi Jan,

That's easy enough to try... =20

Indeed, that font does not crash, and happily inserts the hex "e280a8" =
character as a tall and narrow space.

That explains a lot.

  -- Don

--
Don Tillman
Palo Alto, California
don@HIDDEN
http://www.till.com








Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18759; Package emacs. Full text available.

Message received at 18759 <at> debbugs.gnu.org:


Received: (at 18759) by debbugs.gnu.org; 20 Oct 2014 15:08:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 20 11:08:13 2014
Received: from localhost ([127.0.0.1]:57396 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XgEZA-0005dd-IF
	for submit <at> debbugs.gnu.org; Mon, 20 Oct 2014 11:08:12 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:35663)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1XgEZ7-0005dL-6m
 for 18759 <at> debbugs.gnu.org; Mon, 20 Oct 2014 11:08:11 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0NDR00G000E8TP00@HIDDEN> for 18759 <at> debbugs.gnu.org;
 Mon, 20 Oct 2014 18:08:02 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NDR00GC90P5PC40@HIDDEN>;
 Mon, 20 Oct 2014 18:07:53 +0300 (IDT)
Date: Mon, 20 Oct 2014 18:07:44 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18759: 24.3.94; Yank from clipboard crashes
In-reply-to: <DF006084-3E51-42AA-97EE-4B5D33371EDD@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Jan =?utf-8?Q?Dj=C3=A4rv?= <jan.h.d@HIDDEN>
Message-id: <834muydbjz.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <72041AB1-3DEF-44EF-B252-9270B6082BA6@HIDDEN>
 <83siilexen.fsf@HIDDEN> <4C067D86-5094-41F1-95A8-B8C8C7FF0009@HIDDEN>
 <83r3y5etj8.fsf@HIDDEN> <68611EE4-6A42-4B7B-AEC6-6D54EF9C07C2@HIDDEN>
 <DF006084-3E51-42AA-97EE-4B5D33371EDD@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18759
Cc: 18759 <at> debbugs.gnu.org, don@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Jan Djärv <jan.h.d@HIDDEN>
> Date: Mon, 20 Oct 2014 07:43:34 +0200
> Cc: Eli Zaretskii <eliz@HIDDEN>,
>  18759 <at> debbugs.gnu.org
> 
> In any case it should not crash.

Indeed.  But in order to be able to fix this, we need either a clear
backtrace and support data that would explain the crash, or a
reproducible recipe.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18759; Package emacs. Full text available.

Message received at 18759 <at> debbugs.gnu.org:


Received: (at 18759) by debbugs.gnu.org; 20 Oct 2014 05:43:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 20 01:43:45 2014
Received: from localhost ([127.0.0.1]:56247 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xg5kv-0004qv-IE
	for submit <at> debbugs.gnu.org; Mon, 20 Oct 2014 01:43:45 -0400
Received: from mailfe02.swip.net ([212.247.154.33]:60406 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1Xg5ks-0004qb-LQ
 for 18759 <at> debbugs.gnu.org; Mon, 20 Oct 2014 01:43:43 -0400
X-T2-Spam-Status: No, hits=-0.0 required=5.0 tests=BAYES_40
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe02.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 542187301; Mon, 20 Oct 2014 07:43:35 +0200
Content-Type: text/plain; charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 8.0 \(1990.1\))
Subject: Re: bug#18759: 24.3.94; Yank from clipboard crashes
From: =?utf-8?Q?Jan_Dj=C3=A4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <68611EE4-6A42-4B7B-AEC6-6D54EF9C07C2@HIDDEN>
Date: Mon, 20 Oct 2014 07:43:34 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <DF006084-3E51-42AA-97EE-4B5D33371EDD@HIDDEN>
References: <72041AB1-3DEF-44EF-B252-9270B6082BA6@HIDDEN>
 <83siilexen.fsf@HIDDEN> <4C067D86-5094-41F1-95A8-B8C8C7FF0009@HIDDEN>
 <83r3y5etj8.fsf@HIDDEN> <68611EE4-6A42-4B7B-AEC6-6D54EF9C07C2@HIDDEN>
To: Donald Tillman <don@HIDDEN>
X-Mailer: Apple Mail (2.1990.1)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 18759
Cc: Eli Zaretskii <eliz@HIDDEN>, 18759 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello.

> 20 okt 2014 kl. 00:44 skrev Donald Tillman <don@HIDDEN>:
>=20
> Some more experiments...
>=20
> I just upgraded from Mavericks to Yosemite, and the problem persists =
there, too.
>=20
> I have this in my .emacs file:
> (set-default-font =
"-apple-monaco-medium-r-normal--10-100-72-72-m-100-mac-roman")
>=20
> If I comment that out, or remove the .emacs file entirely, the crash =
no longer occurs.

Interesting.  It is probably the mac roman font that somehow makes it =
crash, the soft return in not present in mac roman.
I can't reproduce it, I don't have any mac roman font on my system.

>=20
> Specifically, command-c copying a Soft Return from a Pages document, =
and c-y yanking into an Emacs buffer inserts text that appears to be a =
thin and tall space.  hexl-mode tells me the yanked-in text is "e280a8".
>=20
> Perhaps I'm using an ancient and no longer appropriate way to set the =
default font a little smaller.

In any case it should not crash.
Can you try

(set-default-font =
"-*-Monaco-normal-normal-normal-*-10-*-*-*-m-0-iso10646-1")

and see if that still crashes?

	Jan D.







Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18759; Package emacs. Full text available.

Message received at 18759 <at> debbugs.gnu.org:


Received: (at 18759) by debbugs.gnu.org; 20 Oct 2014 05:30:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 20 01:30:14 2014
Received: from localhost ([127.0.0.1]:56231 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xg5Xq-0004Qv-Af
	for submit <at> debbugs.gnu.org; Mon, 20 Oct 2014 01:30:14 -0400
Received: from mailfe06.swip.net ([212.247.154.161]:54289 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1Xg5Xo-0004Po-0X
 for 18759 <at> debbugs.gnu.org; Mon, 20 Oct 2014 01:30:13 -0400
X-T2-Spam-Status: No, hits=-0.0 required=5.0 tests=BAYES_40
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe06.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 538741653; Mon, 20 Oct 2014 07:30:03 +0200
Content-Type: text/plain; charset=iso-8859-1
Mime-Version: 1.0 (Mac OS X Mail 8.0 \(1990.1\))
Subject: Re: bug#18759: 24.3.94; Yank from clipboard crashes
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <wlwq7v8w6s.wl%mituharu@HIDDEN>
Date: Mon, 20 Oct 2014 07:30:02 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <355FA510-25AD-4616-B314-B8B6DD54AFE5@HIDDEN>
References: <72041AB1-3DEF-44EF-B252-9270B6082BA6@HIDDEN>
 <83siilexen.fsf@HIDDEN> <4C067D86-5094-41F1-95A8-B8C8C7FF0009@HIDDEN>
 <83r3y5etj8.fsf@HIDDEN> <F9A4C4F4-2DDA-4065-890A-D393D9E8B3DC@HIDDEN>
 <FD72518B-F48F-426C-B359-579301DF413C@HIDDEN>
 <8A372D09-7583-4C7F-9440-0866BFDCF5F6@HIDDEN>
 <wlwq7v8w6s.wl%mituharu@HIDDEN>
To: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
X-Mailer: Apple Mail (2.1990.1)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 18759
Cc: 18759 <at> debbugs.gnu.org, Donald Tillman <don@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi.

> 20 okt 2014 kl. 01:40 skrev YAMAMOTO Mitsuharu =
<mituharu@HIDDEN>:
>=20
>>>>>> On Sun, 19 Oct 2014 11:38:54 +0200, Jan Dj=E4rv =
<jan.h.d@HIDDEN> said:
>=20
>> In the trunk we don't use alloca.  When we imported changes from
>> macport 4.91 (based on 24.3.91), alloca was replaced with xmalloc.
>=20
>> We actually jumped from macport 4.7 to macport 4.91 (based on
>> 24.3.91) so it might have changed in some version before 4.91.
>=20
>> I can't find a reference to some bug in the announcements for mac
>> port.  The macport ftp site is down, so I can't get all details.
>> But maybe a bug similar to this was known and fixed by replacing
>> alloca.
>=20
> The replacement in the Mac port was not for bug fixes, but actually to
> support drawing outside the main thread via Grand Central Dispatch.

Thanks.

	Jan D.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18759; Package emacs. Full text available.

Message received at 18759 <at> debbugs.gnu.org:


Received: (at 18759) by debbugs.gnu.org; 19 Oct 2014 23:41:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 19 19:41:06 2014
Received: from localhost ([127.0.0.1]:56138 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xg05y-0002SN-IU
	for submit <at> debbugs.gnu.org; Sun, 19 Oct 2014 19:41:06 -0400
Received: from mathmail.math.s.chiba-u.ac.jp ([133.82.132.2]:65271)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <mituharu@HIDDEN>) id 1Xg05v-0002Ro-QT
 for 18759 <at> debbugs.gnu.org; Sun, 19 Oct 2014 19:41:05 -0400
Received: from fermat1.math.s.chiba-u.ac.jp (fermat [192.168.32.10])
 by mathmail.math.s.chiba-u.ac.jp (Postfix) with ESMTP id AB589C0562;
 Mon, 20 Oct 2014 08:40:55 +0900 (JST)
Date: Mon, 20 Oct 2014 08:40:59 +0900
Message-ID: <wlwq7v8w6s.wl%mituharu@HIDDEN>
From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
To: Jan =?ISO-8859-1?Q?Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#18759: 24.3.94; Yank from clipboard crashes
In-Reply-To: <8A372D09-7583-4C7F-9440-0866BFDCF5F6@HIDDEN>
References: <72041AB1-3DEF-44EF-B252-9270B6082BA6@HIDDEN>
 <83siilexen.fsf@HIDDEN>
 <4C067D86-5094-41F1-95A8-B8C8C7FF0009@HIDDEN>
 <83r3y5etj8.fsf@HIDDEN>
 <F9A4C4F4-2DDA-4065-890A-D393D9E8B3DC@HIDDEN>
 <FD72518B-F48F-426C-B359-579301DF413C@HIDDEN>
 <8A372D09-7583-4C7F-9440-0866BFDCF5F6@HIDDEN>
User-Agent: Wanderlust/2.14.0 (Africa) SEMI/1.14.6 (Maruoka) FLIM/1.14.8
 (=?ISO-8859-4?Q?Shij=F2?=) APEL/10.6 Emacs/22.3 (sparc-sun-solaris2.8)
 MULE/5.0 (SAKAKI)
Organization: Faculty of Science, Chiba University
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: 18759
Cc: 18759 <at> debbugs.gnu.org, Donald Tillman <don@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

>>>>> On Sun, 19 Oct 2014 11:38:54 +0200, Jan Dj=E4rv <jan.h.d@HIDDEN> =
said:

> In the trunk we don't use alloca.  When we imported changes from
> macport 4.91 (based on 24.3.91), alloca was replaced with xmalloc.

> We actually jumped from macport 4.7 to macport 4.91 (based on
> 24.3.91) so it might have changed in some version before 4.91.

> I can't find a reference to some bug in the announcements for mac
> port.  The macport ftp site is down, so I can't get all details.
> But maybe a bug similar to this was known and fixed by replacing
> alloca.

The replacement in the Mac port was not for bug fixes, but actually to
support drawing outside the main thread via Grand Central Dispatch.

				     YAMAMOTO Mitsuharu
				mituharu@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18759; Package emacs. Full text available.

Message received at 18759 <at> debbugs.gnu.org:


Received: (at 18759) by debbugs.gnu.org; 19 Oct 2014 22:44:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 19 18:44:58 2014
Received: from localhost ([127.0.0.1]:56116 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XfzDd-0008B1-Vx
	for submit <at> debbugs.gnu.org; Sun, 19 Oct 2014 18:44:58 -0400
Received: from c.mail.sonic.net ([64.142.111.80]:42945)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <don@HIDDEN>) id 1XfzDa-0008Aq-Cb
 for 18759 <at> debbugs.gnu.org; Sun, 19 Oct 2014 18:44:55 -0400
Received: from [10.0.1.8] (173-228-125-209.dsl.static.fusionbroadband.com
 [173.228.125.209]) (authenticated bits=0)
 by c.mail.sonic.net (8.14.9/8.14.9) with ESMTP id s9JMioit025194
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT);
 Sun, 19 Oct 2014 15:44:51 -0700
Content-Type: text/plain; charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 8.0 \(1990.1\))
Subject: Re: bug#18759: 24.3.94; Yank from clipboard crashes
From: Donald Tillman <don@HIDDEN>
In-Reply-To: <83r3y5etj8.fsf@HIDDEN>
Date: Sun, 19 Oct 2014 15:44:50 -0700
Content-Transfer-Encoding: quoted-printable
Message-Id: <68611EE4-6A42-4B7B-AEC6-6D54EF9C07C2@HIDDEN>
References: <72041AB1-3DEF-44EF-B252-9270B6082BA6@HIDDEN>
 <83siilexen.fsf@HIDDEN> <4C067D86-5094-41F1-95A8-B8C8C7FF0009@HIDDEN>
 <83r3y5etj8.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.1990.1)
X-Sonic-CAuth: UmFuZG9tSVa6ud2iD2xFwjMQg1gQYrP/tcIf8LSABIH+Z7g6W33HrWJuKZuAXnNbEBMYem3GDXE4DVIV0Vh+Fda6Pjz+NCzn
X-Sonic-ID: C;biMRieFX5BGNeMrqBCAIFQ== M;uLhPieFX5BGNeMrqBCAIFQ==
X-Spam-Flag: No
X-Sonic-Spam-Details: 0.0/5.0 by cerberusd
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 18759
Cc: 18759 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Some more experiments...

I just upgraded from Mavericks to Yosemite, and the problem persists =
there, too.

I have this in my .emacs file:
(set-default-font =
"-apple-monaco-medium-r-normal--10-100-72-72-m-100-mac-roman")

If I comment that out, or remove the .emacs file entirely, the crash no =
longer occurs.

Specifically, command-c copying a Soft Return from a Pages document, and =
c-y yanking into an Emacs buffer inserts text that appears to be a thin =
and tall space.  hexl-mode tells me the yanked-in text is "e280a8".

Perhaps I'm using an ancient and no longer appropriate way to set the =
default font a little smaller.

  -- Don

--
Don Tillman
Palo Alto, California
don@HIDDEN
http://www.till.com








Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18759; Package emacs. Full text available.

Message received at 18759 <at> debbugs.gnu.org:


Received: (at 18759) by debbugs.gnu.org; 19 Oct 2014 09:39:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 19 05:39:11 2014
Received: from localhost ([127.0.0.1]:55427 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XfmxA-00080R-S5
	for submit <at> debbugs.gnu.org; Sun, 19 Oct 2014 05:39:11 -0400
Received: from mailfe02.swip.net ([212.247.154.33]:46445 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1Xfmx4-0007zy-Cf
 for 18759 <at> debbugs.gnu.org; Sun, 19 Oct 2014 05:39:06 -0400
X-T2-Spam-Status: No, hits=-1.9 required=5.0 tests=BAYES_00
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe02.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 542029744; Sun, 19 Oct 2014 11:38:55 +0200
Content-Type: text/plain; charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 8.0 \(1990.1\))
Subject: Re: bug#18759: 24.3.94; Yank from clipboard crashes
From: =?utf-8?Q?Jan_Dj=C3=A4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <FD72518B-F48F-426C-B359-579301DF413C@HIDDEN>
Date: Sun, 19 Oct 2014 11:38:54 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <8A372D09-7583-4C7F-9440-0866BFDCF5F6@HIDDEN>
References: <72041AB1-3DEF-44EF-B252-9270B6082BA6@HIDDEN>
 <83siilexen.fsf@HIDDEN> <4C067D86-5094-41F1-95A8-B8C8C7FF0009@HIDDEN>
 <83r3y5etj8.fsf@HIDDEN> <F9A4C4F4-2DDA-4065-890A-D393D9E8B3DC@HIDDEN>
 <FD72518B-F48F-426C-B359-579301DF413C@HIDDEN>
To: Donald Tillman <don@HIDDEN>
X-Mailer: Apple Mail (2.1990.1)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 18759
Cc: 18759 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello.

A bit of investigation from your crash indicates it crashes in alloca or =
near it in macfont_draw:

  if (macfont_info->cgfont)
    {
      CGGlyph *glyphs =3D alloca (sizeof (CGGlyph) * len);
      CGPoint *positions =3D alloca (sizeof (CGPoint) * len);
      CGFloat total_width =3D 0;
      CGFloat font_size =3D mac_font_get_size (macfont);
      CGAffineTransform atfm;
      CGFloat advance_delta =3D 0;
      int y_draw =3D -s->ybase;
      int no_antialias_p =3D
	(macfont_info->antialias =3D=3D MACFONT_ANTIALIAS_OFF
	 || (macfont_info->antialias =3D=3D MACFONT_ANTIALIAS_DEFAULT
	     && font_size <=3D macfont_antialias_threshold));


In the trunk we don't use alloca.  When we imported changes from macport =
4.91 (based on 24.3.91), alloca was replaced with xmalloc.

We actually jumped from macport 4.7 to macport 4.91 (based on 24.3.91) =
so it might have changed in some version before 4.91.

I can't find a reference to some bug in the announcements for mac port.  =
The macport ftp site is down, so I can't get all details.  But maybe a =
bug similar to this was known and fixed by replacing alloca.

	Jan D.


> 19 okt 2014 kl. 10:56 skrev Jan Dj=C3=A4rv <jan.h.d@HIDDEN>:
>=20
> Hello.
>=20
>> 19 okt 2014 kl. 00:58 skrev Donald Tillman <don@HIDDEN>:
>>=20
>> Hi Eli,
>>=20
>> I've got some more...
>>=20
>> The Emacs I'm running came from the "Pretests" section in =
http://emacsformacosx.com/builds=20
>=20
> I tried that version, still no crash.  It can be something with your =
locale or perhaps font.
> Did you customize the font used?
> Did you start emacs with -Q?
>=20
> 	Jan D.
>=20
>> .
>>=20
>> And here below is the content of the crash window. (It was stuck =
hidden before.)
>>=20
>> -- Don
>> --
>> Don Tillman
>> Palo Alto, California
>> don@HIDDEN
>> http://www.till.com
>>=20
>>=20
>>=20
>> Process:         Emacs-x86_64-10_9 [82115]
>> Path:            =
/Applications/Emacs.app/Contents/MacOS/Emacs-x86_64-10_9
>> Identifier:      org.gnu.Emacs
>> Version:         Version 24.3.94 (9.0)
>> Code Type:       X86-64 (Native)
>> Parent Process:  launchd [214]
>> Responsible:     Emacs-x86_64-10_9 [82115]
>> User ID:         501
>>=20
>> Date/Time:       2014-10-18 15:52:49.357 -0700
>> OS Version:      Mac OS X 10.9.5 (13F34)
>> Report Version:  11
>> Anonymous UUID:  B635CE32-69C1-3C25-8E8B-B7990CEFEA21
>>=20
>> Sleep/Wake UUID: E325FE90-0CFF-4FAF-95AE-414E73095482
>>=20
>> Crashed Thread:  0  Dispatch queue: com.apple.main-thread
>>=20
>> Exception Type:  EXC_BAD_ACCESS (SIGABRT)
>> Exception Codes: EXC_I386_GPFLT
>>=20
>> Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
>> 0   libsystem_kernel.dylib        	0x00007fff93149292 __kill + 10
>> 1   Emacs-x86_64-10_9             	0x00000001000b8934 =
terminate_due_to_signal + 148
>> 2   Emacs-x86_64-10_9             	0x00000001000d5d53 emacs_abort + =
19
>> 3   Emacs-x86_64-10_9             	0x00000001001a739c =
ns_term_shutdown + 124
>> 4   Emacs-x86_64-10_9             	0x00000001000b8b2b =
shut_down_emacs + 283
>> 5   Emacs-x86_64-10_9             	0x00000001000b88f9 =
terminate_due_to_signal + 89
>> 6   Emacs-x86_64-10_9             	0x00000001000d7686 =
deliver_fatal_thread_signal + 134
>> 7   libsystem_platform.dylib      	0x00007fff8e5535aa _sigtramp + =
26
>> 8   ???                           	000000000000000000 0 + 0
>> 9   Emacs-x86_64-10_9             	0x00000001001c7582 macfont_draw =
+ 738
>> 10  Emacs-x86_64-10_9             	0x00000001001b4c9d =
ns_draw_glyph_string + 1437
>> 11  Emacs-x86_64-10_9             	0x0000000100038f84 draw_glyphs + =
15380
>> 12  Emacs-x86_64-10_9             	0x0000000100035306 =
x_write_glyphs + 166
>> 13  Emacs-x86_64-10_9             	0x000000010000a99e =
update_window_line + 670
>> 14  Emacs-x86_64-10_9             	0x000000010000682c update_window =
+ 4620
>> 15  Emacs-x86_64-10_9             	0x0000000100004fe4 =
update_window_tree + 132
>> 16  Emacs-x86_64-10_9             	0x0000000100004e3d update_frame =
+ 125
>> 17  Emacs-x86_64-10_9             	0x0000000100026cde =
redisplay_internal + 7086
>> 18  Emacs-x86_64-10_9             	0x00000001000c050b read_char + =
1947
>> 19  Emacs-x86_64-10_9             	0x00000001000bdc43 =
read_key_sequence + 1859
>> 20  Emacs-x86_64-10_9             	0x00000001000bd2d4 =
command_loop_1 + 5188
>> 21  Emacs-x86_64-10_9             	0x00000001001384ab =
internal_condition_case + 251
>> 22  Emacs-x86_64-10_9             	0x00000001000cd71e =
command_loop_2 + 62
>> 23  Emacs-x86_64-10_9             	0x0000000100137e43 =
internal_catch + 243
>> 24  Emacs-x86_64-10_9             	0x00000001000bb45d =
recursive_edit_1 + 221
>> 25  Emacs-x86_64-10_9             	0x00000001000bb60c =
Frecursive_edit + 236
>> 26  Emacs-x86_64-10_9             	0x00000001000ba257 main + 5831
>> 27  libdyld.dylib                 	0x00007fff8f2aa5fd start + 1
>>=20
>> Thread 1:: Dispatch queue: com.apple.libdispatch-manager
>> 0   libsystem_kernel.dylib        	0x00007fff9314a662 kevent64 + 10
>> 1   libdispatch.dylib             	0x00007fff8f762421 =
_dispatch_mgr_invoke + 239
>> 2   libdispatch.dylib             	0x00007fff8f762136 =
_dispatch_mgr_thread + 52
>>=20
>> Thread 2:
>> 0   libsystem_kernel.dylib        	0x00007fff93149e6a =
__workq_kernreturn + 10
>> 1   libsystem_pthread.dylib       	0x00007fff8e7c4f08 =
_pthread_wqthread + 330
>> 2   libsystem_pthread.dylib       	0x00007fff8e7c7fb9 =
start_wqthread + 13
>>=20
>> Thread 3:
>> 0   libsystem_kernel.dylib        	0x00007fff931499aa __select + 10
>> 1   Emacs-x86_64-10_9             	0x00000001001a87a8 -[EmacsApp =
fd_handler:] + 264
>> 2   com.apple.Foundation          	0x00007fff8eca5dfb =
__NSThread__main__ + 1318
>> 3   libsystem_pthread.dylib       	0x00007fff8e7c3899 _pthread_body =
+ 138
>> 4   libsystem_pthread.dylib       	0x00007fff8e7c372a =
_pthread_start + 137
>> 5   libsystem_pthread.dylib       	0x00007fff8e7c7fc9 thread_start =
+ 13
>>=20
>> Thread 4:
>> 0   libsystem_kernel.dylib        	0x00007fff93149e6a =
__workq_kernreturn + 10
>> 1   libsystem_pthread.dylib       	0x00007fff8e7c4f08 =
_pthread_wqthread + 330
>> 2   libsystem_pthread.dylib       	0x00007fff8e7c7fb9 =
start_wqthread + 13
>>=20
>> Thread 5:
>> 0   libsystem_kernel.dylib        	0x00007fff93145a1a mach_msg_trap =
+ 10
>> 1   libsystem_kernel.dylib        	0x00007fff93144d18 mach_msg + 64
>> 2   com.apple.CoreFoundation      	0x00007fff875ebf15 =
__CFRunLoopServiceMachPort + 181
>> 3   com.apple.CoreFoundation      	0x00007fff875eb539 =
__CFRunLoopRun + 1161
>> 4   com.apple.CoreFoundation      	0x00007fff875eae75 =
CFRunLoopRunSpecific + 309
>> 5   com.apple.AppKit              	0x00007fff8b99b05e =
_NSEventThread + 144
>> 6   libsystem_pthread.dylib       	0x00007fff8e7c3899 _pthread_body =
+ 138
>> 7   libsystem_pthread.dylib       	0x00007fff8e7c372a =
_pthread_start + 137
>> 8   libsystem_pthread.dylib       	0x00007fff8e7c7fc9 thread_start =
+ 13
>>=20
>> Thread 0 crashed with X86 Thread State (64-bit):
>> rax: 0x0000000000000000  rbx: 0x0000000000000006  rcx: =
0x00007fff5fbfb9e8  rdx: 0x0000000000000000
>> rdi: 0x00000000000140c3  rsi: 0x0000000000000006  rbp: =
0x00007fff5fbfba10  rsp: 0x00007fff5fbfb9e8
>>  r8: 0x0000000100700000   r9: 0x0000000000000bba  r10: =
0x00007fff93149896  r11: 0x0000000000000206
>> r12: 0x000000010053b690  r13: 0x000000010053b630  r14: =
0x0000000000000028  r15: 0x0000000000000020
>> rip: 0x00007fff93149292  rfl: 0x0000000000000206  cr2: =
0x0000000102edc062
>>=20
>> Logical CPU:     0
>> Error Code:      0x02000025
>> Trap Number:     133
>>=20
>>=20
>> Binary Images:
>>      0x100000000 -        0x10020cff7 +Emacs-x86_64-10_9 (0) =
<EE9FC5BA-F10D-36F4-900F-C051364B4501> =
/Applications/Emacs.app/Contents/MacOS/Emacs-x86_64-10_9
>>      0x1010fd000 -        0x1010fdff9 +cl_kernels (???) =
<22F3D8AC-4D32-4F84-9030-3EAA9E473F37> cl_kernels
>>      0x1017e0000 -        0x1017e1ff4 +cl_kernels (???) =
<25D36FAE-4B18-405E-859E-A7143B0DBC78> cl_kernels
>>      0x102ef1000 -        0x102ef5ffd  libFontRegistryUI.dylib (127) =
<57DE4E73-B65B-3712-9815-81018E72501A> =
/System/Library/Frameworks/ApplicationServices.framework/Frameworks/ATS.fr=
amework/Resources/libFontRegistryUI.dylib
>>      0x106e33000 -        0x106e33fff +cl_kernels (???) =
<8AD221A6-AE6B-4DBE-A774-45F2CC74DD59> cl_kernels
>>      0x109d2c000 -        0x109e12fef  unorm8_bgra.dylib (2.3.58) =
<280D6FDD-8CA5-36EC-9EA1-D7DC09598E20> =
/System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/ImageForm=
ats/unorm8_bgra.dylib
>>      0x10a12e000 -        0x10a20eff7  unorm8_rgba.dylib (2.3.58) =
<8252DC3E-7434-34C6-B4B9-CFD59B923D12> =
/System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/ImageForm=
ats/unorm8_rgba.dylib
>>   0x7fff69778000 -     0x7fff697ab817  dyld (239.4) =
<7AD43B9B-5CEA-3C7E-9836-A06909F9CA56> /usr/lib/dyld
>>   0x7fff87028000 -     0x7fff8702afff  libCVMSPluginSupport.dylib =
(9.6.1) <FB37F4C4-1E84-3349-BB03-92CA0A5F6837> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPl=
uginSupport.dylib
>>   0x7fff8702b000 -     0x7fff87038ff7  libxar.1.dylib (202) =
<5572AA71-E98D-3FE1-9402-BB4A84E0E71E> /usr/lib/libxar.1.dylib
>>   0x7fff87508000 -     0x7fff87538fff  com.apple.IconServices (25 - =
25.17) <4751127E-FBD5-3ED5-8510-08D4E4166EFE> =
/System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconSe=
rvices
>>   0x7fff87579000 -     0x7fff8757afff  libsystem_sandbox.dylib =
(278.11.1) <0D0B13EA-6B7A-3AC8-BE60-B548543BEB77> =
/usr/lib/system/libsystem_sandbox.dylib
>>   0x7fff8757b000 -     0x7fff87760fff  com.apple.CoreFoundation (6.9 =
- 855.17) <729BD6DA-1F63-3E72-A148-26F21EBF52BB> =
/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundat=
ion
>>   0x7fff88025000 -     0x7fff880b0ff7  libCoreStorage.dylib =
(380.70.2) <BD993BC8-ED54-3DC1-B28B-3B6AC77E8E5C> =
/usr/lib/libCoreStorage.dylib
>>   0x7fff880b1000 -     0x7fff880beff4  com.apple.Librarian (1.2 - 1) =
<F1A2744D-8536-32C7-8218-9972C6300DAE> =
/System/Library/PrivateFrameworks/Librarian.framework/Versions/A/Librarian=

>>   0x7fff8812a000 -     0x7fff88a49797  com.apple.CoreGraphics =
(1.600.0 - 599.35.4) <C8CBC664-0CD2-3C7D-A301-9B3BA731250C> =
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
>>   0x7fff88d76000 -     0x7fff88d83ff0  libbz2.1.0.dylib (29) =
<0B98AC35-B138-349C-8063-2B987A75D24C> /usr/lib/libbz2.1.0.dylib
>>   0x7fff88d84000 -     0x7fff88da8ff7  libJPEG.dylib (1044) =
<BE0ED4E1-F7FC-3038-86D3-0456DD173FCB> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.=
dylib
>>   0x7fff89592000 -     0x7fff895d1fff  libGLU.dylib (9.6.1) =
<AE032555-3E2F-3DBF-A26D-EA4576061605> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dy=
lib
>>   0x7fff895d2000 -     0x7fff89636fff  com.apple.datadetectorscore =
(5.0 - 354.5) <0AE9749A-6BFC-3032-B802-210DF59AEDB0> =
/System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/D=
ataDetectorsCore
>>   0x7fff89637000 -     0x7fff896c7ff7  com.apple.Metadata (10.7.0 - =
800.28) <E85AEB1B-CB17-38BC-B5C6-AAB50B47AF05> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Me=
tadata.framework/Versions/A/Metadata
>>   0x7fff896c8000 -     0x7fff89701ff7  com.apple.QD (3.50 - 298) =
<C1F20764-DEF0-34CF-B3AB-AB5480D64E66> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/QD.framework/Versions/A/QD
>>   0x7fff89710000 -     0x7fff89710ffd  libOpenScriptingUtil.dylib =
(157) <19F0E769-0989-3062-9AFB-8976E90E9759> =
/usr/lib/libOpenScriptingUtil.dylib
>>   0x7fff89774000 -     0x7fff89775fff  com.apple.TrustEvaluationAgent =
(2.0 - 25) <334A82F4-4AE4-3719-A511-86D0B0723E2B> =
/System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/=
A/TrustEvaluationAgent
>>   0x7fff89783000 -     0x7fff897befff  com.apple.bom (14.0 - 193.1) =
<EF24A562-6D3C-379E-8B9B-FAE0E4A0EF7C> =
/System/Library/PrivateFrameworks/Bom.framework/Versions/A/Bom
>>   0x7fff897bf000 -     0x7fff897bffff  com.apple.ApplicationServices =
(48 - 48) <3E3F01A8-314D-378F-835E-9CC4F8820031> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Applic=
ationServices
>>   0x7fff897fa000 -     0x7fff89801fff  libcompiler_rt.dylib (35) =
<4CD916B2-1B17-362A-B403-EF24A1DAC141> =
/usr/lib/system/libcompiler_rt.dylib
>>   0x7fff89802000 -     0x7fff8982bff7  libc++abi.dylib (49.1) =
<21A807D3-6732-3455-B77F-743E9F916DF0> /usr/lib/libc++abi.dylib
>>   0x7fff8982c000 -     0x7fff89871fff  libcurl.4.dylib (78.94.1) =
<88F27F9B-052E-3375-938D-2603E90D8AD5> /usr/lib/libcurl.4.dylib
>>   0x7fff898c4000 -     0x7fff899aefff  libsqlite3.dylib (158) =
<00269BF9-43BE-39E0-9C85-24585B9923C8> /usr/lib/libsqlite3.dylib
>>   0x7fff89a34000 -     0x7fff89a5cffb  libRIP.A.dylib (599.35.4) =
<F3C60582-1F27-335D-9C97-8CF307670F7B> =
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/lib=
RIP.A.dylib
>>   0x7fff89a5d000 -     0x7fff89a5eff7  libSystem.B.dylib (1197.1.1) =
<E303F2F8-A8CF-3DF3-84B3-F2D0EE41CCF6> /usr/lib/libSystem.B.dylib
>>   0x7fff89a5f000 -     0x7fff89d33fc7  com.apple.vImage (7.0 - 7.0) =
<D241DBFA-AC49-31E2-893D-EAAC31890C90> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vIma=
ge.framework/Versions/A/vImage
>>   0x7fff89d34000 -     0x7fff89d41fff  com.apple.Sharing (132.2 - =
132.2) <F983394A-226D-3244-B511-FA51FDB6ADDA> =
/System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing
>>   0x7fff89d42000 -     0x7fff89d4cfff  libcommonCrypto.dylib (60049) =
<8C4F0CA0-389C-3EDC-B155-E62DD2187E1D> =
/usr/lib/system/libcommonCrypto.dylib
>>   0x7fff89d4d000 -     0x7fff89d4fff3  libsystem_configuration.dylib =
(596.15) <4998CB6A-9D54-390A-9F57-5D1AC53C135C> =
/usr/lib/system/libsystem_configuration.dylib
>>   0x7fff89d76000 -     0x7fff89d7aff7  libGIF.dylib (1044) =
<7E51DFC3-740A-3CD3-98A1-1EC510A4A055> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.d=
ylib
>>   0x7fff89d7b000 -     0x7fff89d80fff  com.apple.DiskArbitration (2.6 =
- 2.6) <A4165553-770E-3D27-B217-01FC1F852B87> =
/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitr=
ation
>>   0x7fff89d81000 -     0x7fff89dcfff7  com.apple.opencl (2.3.59 - =
2.3.59) <9F43F471-C3C3-352D-889D-EC418DC1F5B2> =
/System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
>>   0x7fff89dd6000 -     0x7fff89ddcfff  com.apple.AOSNotification =
(1.7.0 - 760.3) <7901B867-60F7-3645-BB3E-18C51A6FBCC6> =
/System/Library/PrivateFrameworks/AOSNotification.framework/Versions/A/AOS=
Notification
>>   0x7fff89ddd000 -     0x7fff89e30fff  =
com.apple.ScalableUserInterface (1.0 - 1) =
<CF745298-7373-38D2-B3B1-727D5A569E48> =
/System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/Scal=
ableUserInterface.framework/Versions/A/ScalableUserInterface
>>   0x7fff89e33000 -     0x7fff89f17ff7  com.apple.coreui (2.2 - 231.1) =
<187DF89C-8A64-366D-8782-F90315FA3CD7> =
/System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
>>   0x7fff89f18000 -     0x7fff89f18fff  com.apple.Accelerate (1.9 - =
Accelerate 1.9) <509BB27A-AE62-366D-86D8-0B06D217CF56> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
>>   0x7fff89f19000 -     0x7fff89f1dff7  libsystem_stats.dylib =
(93.90.3) <4E51D5B0-92A0-3D0D-B90E-495A1ED3E391> =
/usr/lib/system/libsystem_stats.dylib
>>   0x7fff89f1e000 -     0x7fff89fefff1  com.apple.DiskImagesFramework =
(10.9 - 371.1) <DCCAADEC-35D5-3968-8B39-358ACC56ADC4> =
/System/Library/PrivateFrameworks/DiskImages.framework/Versions/A/DiskImag=
es
>>   0x7fff8a05a000 -     0x7fff8a086fff  com.apple.CoreServicesInternal =
(184.9 - 184.9) <4DEA54F9-81D6-3EDB-AA3C-1F9C497B3379> =
/System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/=
A/CoreServicesInternal
>>   0x7fff8a087000 -     0x7fff8a096ff8  com.apple.LangAnalysis (1.7.0 =
- 1.7.0) <8FE131B6-1180-3892-98F5-C9C9B79072D4> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/LangAnalysis.framework/Versions/A/LangAnalysis
>>   0x7fff8a0b3000 -     0x7fff8a0b6fff  libCoreVMClient.dylib (58.1) =
<EBC36C69-C896-3C3D-8589-3E9023E7E56F> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVM=
Client.dylib
>>   0x7fff8a0ce000 -     0x7fff8a1bcfff  libJP2.dylib (1044) =
<BE5FF765-5ECE-38B5-BF5D-BE806F5CAD18> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.d=
ylib
>>   0x7fff8a1d3000 -     0x7fff8a1e3ffb  libsasl2.2.dylib (170) =
<C8E25710-68B6-368A-BF3E-48EC7273177B> /usr/lib/libsasl2.2.dylib
>>   0x7fff8a1e4000 -     0x7fff8a1ffff7  libsystem_malloc.dylib =
(23.10.1) <A695B4E4-38E9-332E-A772-29D31E3F1385> =
/usr/lib/system/libsystem_malloc.dylib
>>   0x7fff8a5a0000 -     0x7fff8a5aaff7  com.apple.CrashReporterSupport =
(10.9 - 539) <B25A09EC-A021-32EC-86F8-05B4837E0EDE> =
/System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/=
A/CrashReporterSupport
>>   0x7fff8a5ab000 -     0x7fff8a5afff7  libcache.dylib (62) =
<BDC1E65B-72A1-3DA3-A57C-B23159CAAD0B> /usr/lib/system/libcache.dylib
>>   0x7fff8a5bf000 -     0x7fff8a5fdff7  libGLImage.dylib (9.6.1) =
<5E02B38C-9F36-39BE-8746-724F0D8BBFC0> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImag=
e.dylib
>>   0x7fff8a5fe000 -     0x7fff8a606ffc  libGFXShared.dylib (9.6.1) =
<25BBF325-AC57-3BAA-9427-2D14CC243AE6> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXSha=
red.dylib
>>   0x7fff8a607000 -     0x7fff8a611ff7  libcsfde.dylib (380.70.2) =
<3ACB87D7-A81C-3C45-B648-AD27F1B9D841> /usr/lib/libcsfde.dylib
>>   0x7fff8a612000 -     0x7fff8a641fff  com.apple.DebugSymbols (106 - =
106) <E1BDED08-523A-36F4-B2DA-9D5C712F0AC7> =
/System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugS=
ymbols
>>   0x7fff8a642000 -     0x7fff8a6aefff  com.apple.framework.IOKit =
(2.0.1 - 907.100.13) <057FDBA3-56D6-3903-8C0B-849214BF1985> =
/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
>>   0x7fff8a81e000 -     0x7fff8a839ff7  libCRFSuite.dylib (34) =
<FFAE75FA-C54E-398B-AA97-18164CD9789D> /usr/lib/libCRFSuite.dylib
>>   0x7fff8a83a000 -     0x7fff8a8fcff5  com.apple.CoreText (367.20 - =
367.20) <B80D086D-93A9-3C35-860E-9C3FDD027F3B> =
/System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
>>   0x7fff8af6c000 -     0x7fff8afa1ffc  com.apple.LDAPFramework =
(2.4.28 - 194.5) <4ADD0595-25B9-3F09-897E-3FB790AD2C5A> =
/System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
>>   0x7fff8afb4000 -     0x7fff8afb6fff  com.apple.EFILogin (2.0 - 2) =
<C360E8AF-E9BB-3BBA-9DF0-57A92CEF00D4> =
/System/Library/PrivateFrameworks/EFILogin.framework/Versions/A/EFILogin
>>   0x7fff8b1ab000 -     0x7fff8b1adff7  libquarantine.dylib (71) =
<7A1A2BCB-C03D-3A25-BFA4-3E569B2D2C38> =
/usr/lib/system/libquarantine.dylib
>>   0x7fff8b28a000 -     0x7fff8b2dbff7  com.apple.audio.CoreAudio =
(4.2.1 - 4.2.1) <BE13E840-FB45-3BC2-BCF5-031629754FD5> =
/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
>>   0x7fff8b301000 -     0x7fff8b331fff  libncurses.5.4.dylib (42) =
<BF763D62-9149-37CB-B1D2-F66A2510E6DD> /usr/lib/libncurses.5.4.dylib
>>   0x7fff8b713000 -     0x7fff8b79cff7  libsystem_c.dylib (997.90.3) =
<6FD3A400-4BB2-3B95-B90C-BE6E9D0D78FA> /usr/lib/system/libsystem_c.dylib
>>   0x7fff8b79d000 -     0x7fff8b7a6ffb  libCGInterfaces.dylib (271) =
<68EFBEFE-7506-3235-99A2-5B69EDBFD7B8> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vIma=
ge.framework/Versions/A/Resources/libCGInterfaces.dylib
>>   0x7fff8b7a7000 -     0x7fff8b7d6ff9  com.apple.GSS (4.0 - 2.0) =
<44E914BE-B0D0-3E05-9451-CA9E539AFA52> =
/System/Library/Frameworks/GSS.framework/Versions/A/GSS
>>   0x7fff8b7d7000 -     0x7fff8c34dff7  com.apple.AppKit (6.9 - =
1265.21) <9DC13B27-841D-3839-93B2-3EDE66157BDE> =
/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
>>   0x7fff8c42e000 -     0x7fff8c43fff7  libz.1.dylib (53) =
<42E0C8C6-CA38-3CA4-8619-D24ED5DD492E> /usr/lib/libz.1.dylib
>>   0x7fff8c449000 -     0x7fff8c496ff2  =
com.apple.print.framework.PrintCore (9.0 - 428) =
<8D8253E3-302F-3DB2-9C5C-572CB974E8B3> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/PrintCore.framework/Versions/A/PrintCore
>>   0x7fff8c497000 -     0x7fff8c497ffd  =
com.apple.audio.units.AudioUnit (1.10 - 1.10) =
<68B21135-55A6-3563-A3D6-3E692A7DEB7F> =
/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
>>   0x7fff8c498000 -     0x7fff8c4a0ff7  =
com.apple.speech.recognition.framework (4.2.4 - 4.2.4) =
<98BBB3E4-6239-3EF1-90B2-84EA0D3B8D61> =
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRe=
cognition.framework/Versions/A/SpeechRecognition
>>   0x7fff8c4a1000 -     0x7fff8c4aaffd  com.apple.CommonAuth (4.0 - =
2.0) <32BA436F-6319-3A0B-B5D2-2EB75FF36B5B> =
/System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAu=
th
>>   0x7fff8c4ab000 -     0x7fff8c592ff7  libxml2.2.dylib (26) =
<A1DADD11-89E5-3DE4-8802-07186225967F> /usr/lib/libxml2.2.dylib
>>   0x7fff8c593000 -     0x7fff8c602ff1  =
com.apple.ApplicationServices.ATS (360 - 363.3) =
<546E89D9-2AE7-3111-B2B8-2366650D22F0> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/ATS.framework/Versions/A/ATS
>>   0x7fff8c644000 -     0x7fff8c6b7fff  com.apple.securityfoundation =
(6.0 - 55122.3) <0FDC8F53-104C-3938-A852-5B33C30BAAD5> =
/System/Library/Frameworks/SecurityFoundation.framework/Versions/A/Securit=
yFoundation
>>   0x7fff8c6b8000 -     0x7fff8c713ffb  com.apple.AE (665.5 - 665.5) =
<BBA230F9-144C-3CAB-A77A-0621719244CD> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE=
.framework/Versions/A/AE
>>   0x7fff8c726000 -     0x7fff8c894ff7  libBLAS.dylib (1094.5) =
<DE93A590-5FA5-32A2-A16C-5D7D7361769F> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libBLAS.dylib
>>   0x7fff8c89c000 -     0x7fff8c89fffa  libCGXType.A.dylib (599.35.4) =
<A2B493FD-2EDE-3BC2-A281-2381E0156411> =
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/lib=
CGXType.A.dylib
>>   0x7fff8c9fb000 -     0x7fff8c9fcff7  =
libDiagnosticMessagesClient.dylib (100) =
<4CDB0F7B-C0AF-3424-BC39-495696F0DB1E> =
/usr/lib/libDiagnosticMessagesClient.dylib
>>   0x7fff8cbe3000 -     0x7fff8cbeaff8  liblaunch.dylib (842.92.1) =
<A40A0C7B-3216-39B4-8AE0-B5D3BAF1DA8A> /usr/lib/system/liblaunch.dylib
>>   0x7fff8cbeb000 -     0x7fff8ccb6fff  libvDSP.dylib (423.32) =
<3BF732BE-DDE0-38EB-8C54-E4E3C64F77A7> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libvDSP.dylib
>>   0x7fff8ccb9000 -     0x7fff8d09affe  libLAPACK.dylib (1094.5) =
<7E7A9B8D-1638-3914-BAE0-663B69865986> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libLAPACK.dylib
>>   0x7fff8d0c2000 -     0x7fff8d186ff7  com.apple.backup.framework =
(1.5.4 - 1.5.4) <195DA868-47A5-37E6-8CF0-9BCF11846899> =
/System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
>>   0x7fff8d6aa000 -     0x7fff8d6b0ff7  libCGXCoreImage.A.dylib =
(599.35.4) <0A9F43CB-C01F-3A98-AAB3-1E08C65BCFB4> =
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/lib=
CGXCoreImage.A.dylib
>>   0x7fff8da4c000 -     0x7fff8dad5fff  com.apple.ColorSync (4.9.0 - =
4.9.0) <B756B908-9AD1-3F5D-83F9-7A0B068387D2> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/ColorSync.framework/Versions/A/ColorSync
>>   0x7fff8dc02000 -     0x7fff8dc27ff7  com.apple.ChunkingLibrary (2.0 =
- 155.1) <B845DC7A-D1EA-31E2-967C-D1FE0C628036> =
/System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/Chu=
nkingLibrary
>>   0x7fff8dc80000 -     0x7fff8dca7ffb  libsystem_info.dylib (449.1.3) =
<7D41A156-D285-3849-A2C3-C04ADE797D98> =
/usr/lib/system/libsystem_info.dylib
>>   0x7fff8dcab000 -     0x7fff8dcafff7  libheimdal-asn1.dylib =
(323.92.1) <CAE21FFF-5763-399C-B7C5-EEBFFEEF2242> =
/usr/lib/libheimdal-asn1.dylib
>>   0x7fff8dd6b000 -     0x7fff8dd94fff  com.apple.DictionaryServices =
(1.2 - 208) <A539A058-BA57-35EE-AA08-D0B0E835127D> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Di=
ctionaryServices.framework/Versions/A/DictionaryServices
>>   0x7fff8dd95000 -     0x7fff8dda1ff7  com.apple.OpenDirectory (10.9 =
- 173.90.1) <F08601E8-F7E8-3222-AD05-6A26003779CF> =
/System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirector=
y
>>   0x7fff8dda2000 -     0x7fff8ddacff7  =
com.apple.bsd.ServiceManagement (2.0 - 2.0) =
<2D27B498-BB9C-3D88-B05A-76908A8A26F3> =
/System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceM=
anagement
>>   0x7fff8e40e000 -     0x7fff8e4eafff  libcrypto.0.9.8.dylib (52) =
<ED7F3865-10D4-346B-8C9C-D968EB3B5D35> /usr/lib/libcrypto.0.9.8.dylib
>>   0x7fff8e4eb000 -     0x7fff8e51afd2  libsystem_m.dylib (3047.16) =
<B7F0E2E4-2777-33FC-A787-D6430B630D54> /usr/lib/system/libsystem_m.dylib
>>   0x7fff8e51b000 -     0x7fff8e54ffff  libssl.0.9.8.dylib (52) =
<51C844FF-D7CD-3525-9ABB-84B8DD11D5E4> /usr/lib/libssl.0.9.8.dylib
>>   0x7fff8e550000 -     0x7fff8e556ff7  libsystem_platform.dylib =
(24.90.1) <3C3D3DA8-32B9-3243-98EC-D89B9A1670B3> =
/usr/lib/system/libsystem_platform.dylib
>>   0x7fff8e557000 -     0x7fff8e79fff7  com.apple.CoreData (107 - =
481.3) <E78734AA-E3D0-33CB-A014-620BBCAB2E96> =
/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
>>   0x7fff8e7c2000 -     0x7fff8e7c9ff7  libsystem_pthread.dylib =
(53.1.4) <AB498556-B555-310E-9041-F67EC9E00E2C> =
/usr/lib/system/libsystem_pthread.dylib
>>   0x7fff8e7ca000 -     0x7fff8e7cbffb  libremovefile.dylib (33) =
<3543F917-928E-3DB2-A2F4-7AB73B4970EF> =
/usr/lib/system/libremovefile.dylib
>>   0x7fff8e7eb000 -     0x7fff8ec1effb  com.apple.vision.FaceCore =
(3.0.0 - 3.0.0) <F42BFC9C-0B16-35EF-9A07-91B7FDAB7FC5> =
/System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
>>   0x7fff8ec1f000 -     0x7fff8ec3bfff  libresolv.9.dylib (54) =
<11C2C826-F1C6-39C6-B4E8-6E0C41D4FA95> /usr/lib/libresolv.9.dylib
>>   0x7fff8ec3c000 -     0x7fff8ec3effb  libutil.dylib (34) =
<DAC4A6CF-A1BB-3874-9569-A919316D30E8> /usr/lib/libutil.dylib
>>   0x7fff8ec3f000 -     0x7fff8ef3fff7  com.apple.Foundation (6.9 - =
1056.16) <24349208-3603-3F5D-95CC-B379616FBEF8> =
/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
>>   0x7fff8ef40000 -     0x7fff8ef98ff7  com.apple.Symbolication (1.4 - =
129.0.2) <B1F008C4-184D-36A2-922F-4A67A075D512> =
/System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbo=
lication
>>   0x7fff8efbc000 -     0x7fff8f2a6fff  =
com.apple.CoreServices.CarbonCore (1077.17 - 1077.17) =
<3A2E92FD-DEE2-3D45-9619-11500801A61C> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Ca=
rbonCore.framework/Versions/A/CarbonCore
>>   0x7fff8f2a7000 -     0x7fff8f2aaff7  libdyld.dylib (239.4) =
<7C9EC3B7-DDE3-33FF-953F-4067C743951D> /usr/lib/system/libdyld.dylib
>>   0x7fff8f2ab000 -     0x7fff8f2c4ff7  com.apple.Ubiquity (1.3 - 289) =
<C7F1B734-CE81-334D-BE41-8B20D95A1F9B> =
/System/Library/PrivateFrameworks/Ubiquity.framework/Versions/A/Ubiquity
>>   0x7fff8f30d000 -     0x7fff8f370ffb  com.apple.SystemConfiguration =
(1.13.1 - 1.13.1) <2C8E1A73-5AD6-3A7D-8ED8-D6755555A993> =
/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/System=
Configuration
>>   0x7fff8f636000 -     0x7fff8f6adfff  =
com.apple.CoreServices.OSServices (600.4 - 600.4) =
<C63562F5-6DF5-3EE9-8897-FF61A44C8251> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OS=
Services.framework/Versions/A/OSServices
>>   0x7fff8f6ae000 -     0x7fff8f75eff7  libvMisc.dylib (423.32) =
<049C0735-1808-39B9-943F-76CB8021744F> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libvMisc.dylib
>>   0x7fff8f75f000 -     0x7fff8f779fff  libdispatch.dylib (339.92.1) =
<C4E4A18D-3C3B-3C9C-8709-A4270D998DE7> /usr/lib/system/libdispatch.dylib
>>   0x7fff8f791000 -     0x7fff8f7d8ff7  libcups.2.dylib (372.4) =
<36EA4350-43B4-3A5C-9904-10685BFDA7D4> /usr/lib/libcups.2.dylib
>>   0x7fff8f7f3000 -     0x7fff8f8e2fff  libFontParser.dylib (111.1) =
<835A8253-6AB9-3AAB-9CBF-171440DEC486> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/ATS.framework/Versions/A/Resources/libFontParser.dylib
>>   0x7fff8f8e3000 -     0x7fff8fbb4ff4  com.apple.CoreImage (9.4.0) =
<2C636ECD-0F1A-357C-9EFF-0452476FDDF5> =
/System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/Core=
Image.framework/Versions/A/CoreImage
>>   0x7fff8fc2d000 -     0x7fff8fddaf27  libobjc.A.dylib (551.1) =
<AD7FD984-271E-30F4-A361-6B20319EC73B> /usr/lib/libobjc.A.dylib
>>   0x7fff8fddb000 -     0x7fff8fe13ff7  com.apple.RemoteViewServices =
(2.0 - 94) <3F34D630-3DDB-3411-BC28-A56A9B55EBDA> =
/System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/=
RemoteViewServices
>>   0x7fff90c69000 -     0x7fff90c69ff7  libkeymgr.dylib (28) =
<3AA8D85D-CF00-3BD3-A5A0-E28E1A32A6D8> /usr/lib/system/libkeymgr.dylib
>>   0x7fff90cb4000 -     0x7fff90ce5fff  com.apple.MediaKit (15 - 709) =
<23E33409-5C39-3F93-9E73-2B0E9EE8883E> =
/System/Library/PrivateFrameworks/MediaKit.framework/Versions/A/MediaKit
>>   0x7fff90d39000 -     0x7fff90d44fff  libkxld.dylib (2422.115.4) =
<3C678B75-F7C5-3DBB-8DBD-48483AD54D5C> /usr/lib/system/libkxld.dylib
>>   0x7fff90d45000 -     0x7fff90eb5ff4  com.apple.CFNetwork (673.4 - =
673.4) <F3BF6020-99BE-3844-A7B8-352B93AD02F3> =
/System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
>>   0x7fff90eb6000 -     0x7fff90f1bffb  com.apple.Heimdal (4.0 - 2.0) =
<F34D6627-9F80-3823-8B57-DB629307DF87> =
/System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
>>   0x7fff90f1c000 -     0x7fff910b8ff3  com.apple.QuartzCore (1.8 - =
332.3) <72003E51-1287-395B-BCBC-331597D45C5E> =
/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
>>   0x7fff9112d000 -     0x7fff911aefff  com.apple.CoreSymbolication =
(3.0.1 - 141.0.5) <20E484C4-9F0E-3DF6-BB27-D509859FF57A> =
/System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/C=
oreSymbolication
>>   0x7fff911af000 -     0x7fff911caff7  libPng.dylib (1044) =
<151BA92C-6E7C-3B69-8024-FDD1E2C89DD3> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.d=
ylib
>>   0x7fff91409000 -     0x7fff9140efff  libmacho.dylib (845) =
<1D2910DF-C036-3A82-A3FD-44FF73B5FF9B> /usr/lib/system/libmacho.dylib
>>   0x7fff91439000 -     0x7fff91444ff7  com.apple.NetAuth (5.0 - 5.0) =
<C811E662-9EC3-3B74-808A-A75D624F326B> =
/System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
>>   0x7fff91445000 -     0x7fff91446ff7  libsystem_blocks.dylib (63) =
<FB856CD1-2AEA-3907-8E9B-1E54B6827F82> =
/usr/lib/system/libsystem_blocks.dylib
>>   0x7fff9145e000 -     0x7fff914a3ff6  com.apple.HIServices (1.23 - =
468) <5970AF5C-F5BD-3B6A-97C9-95B2CA98D71D> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/HIServices.framework/Versions/A/HIServices
>>   0x7fff914cc000 -     0x7fff915fcff7  com.apple.desktopservices =
(1.8.3 - 1.8.3) <225BEC20-F8E0-3F22-9560-890A1A5B9050> =
/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A=
/DesktopServicesPriv
>>   0x7fff919dd000 -     0x7fff91a1fff7  libauto.dylib (185.5) =
<F45C36E8-B606-3886-B5B1-B6745E757CA8> /usr/lib/libauto.dylib
>>   0x7fff91a20000 -     0x7fff91a30fff  libbsm.0.dylib (33) =
<2CAC00A2-1352-302A-88FA-C567D4D69179> /usr/lib/libbsm.0.dylib
>>   0x7fff91adc000 -     0x7fff91ae3ffb  libcopyfile.dylib (103.92.1) =
<CF29DFF6-0589-3590-834C-82E2316612E8> /usr/lib/system/libcopyfile.dylib
>>   0x7fff91bd7000 -     0x7fff91bd7fff  com.apple.CoreServices (59 - =
59) <7A697B5E-F179-30DF-93F2-8B503CEEEFD5> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
>>   0x7fff91e24000 -     0x7fff91eb0ff7  com.apple.ink.framework (10.9 =
- 207) <8A50B893-AD03-3826-8555-A54FEAF08F47> =
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.fram=
ework/Versions/A/Ink
>>   0x7fff91eb1000 -     0x7fff9210fff2  com.apple.RawCamera.bundle =
(5.06 - 753) <7315ED29-77A1-3990-9054-F00B96527C06> =
/System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
>>   0x7fff92160000 -     0x7fff921a1fff  com.apple.PerformanceAnalysis =
(1.47 - 47) <7B73DFF4-75DB-3403-80D2-0F3FE48764C3> =
/System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A=
/PerformanceAnalysis
>>   0x7fff921ad000 -     0x7fff921c4ff7  com.apple.CFOpenDirectory =
(10.9 - 173.90.1) <7BC0194E-1B40-3FCA-ACD2-235CE5D65DFA> =
/System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/C=
FOpenDirectory.framework/Versions/A/CFOpenDirectory
>>   0x7fff921c5000 -     0x7fff92319ff3  =
com.apple.audio.toolbox.AudioToolbox (1.10 - 1.10) =
<69B273E8-5A8E-3FC7-B807-C16B657662FE> =
/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
>>   0x7fff92327000 -     0x7fff92329fff  libRadiance.dylib (1044) =
<461482C9-CADB-3B36-B023-597C64AD4B00> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadia=
nce.dylib
>>   0x7fff9235a000 -     0x7fff9237fff7  com.apple.CoreVideo (1.8 - =
117.2) <4674339E-26D0-35FA-9958-422832B39B12> =
/System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
>>   0x7fff92380000 -     0x7fff9238cffb  com.apple.AppleFSCompression =
(56.92.1 - 1.0) <066255FD-DBD1-3041-8DDA-7AFC41C9096D> =
/System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/=
AppleFSCompression
>>   0x7fff92424000 -     0x7fff92448fff  libxpc.dylib (300.90.2) =
<AB40CD57-F454-3FD4-B415-63B3C0D5C624> /usr/lib/system/libxpc.dylib
>>   0x7fff92449000 -     0x7fff92452ff7  libcldcpuengine.dylib (2.3.58) =
<E3A84FEC-4060-39C2-A469-159A443D2B6D> =
/System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/libcldcpu=
engine.dylib
>>   0x7fff92f04000 -     0x7fff92f71fff  com.apple.SearchKit (1.4.0 - =
1.4.0) <B9B8D510-A27E-36B0-93E9-17146D9E9045> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Se=
archKit.framework/Versions/A/SearchKit
>>   0x7fff92f72000 -     0x7fff92f76fff  libpam.2.dylib (20) =
<B93CE8F5-DAA8-30A1-B1F6-F890509513CB> /usr/lib/libpam.2.dylib
>>   0x7fff92fc0000 -     0x7fff930c6ff7  com.apple.ImageIO.framework =
(3.3.0 - 1044) <3BCCF2AE-CF1F-3324-A371-DF0A42C841A2> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
>>   0x7fff930c8000 -     0x7fff930cdff7  libunwind.dylib (35.3) =
<78DCC358-2FC1-302E-B395-0155B47CB547> /usr/lib/system/libunwind.dylib
>>   0x7fff930e0000 -     0x7fff930e0fff  com.apple.Accelerate.vecLib =
(3.9 - vecLib 3.9) <F8D0CC77-98AC-3B58-9FE6-0C25421827B6> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/vecLib
>>   0x7fff930e1000 -     0x7fff93133fff  libc++.1.dylib (120) =
<4F68DFC5-2077-39A8-A449-CAC5FDEE7BDE> /usr/lib/libc++.1.dylib
>>   0x7fff93134000 -     0x7fff93150ff7  libsystem_kernel.dylib =
(2422.115.4) <9EDE872E-2A9E-3A78-8E1D-AB790794A098> =
/usr/lib/system/libsystem_kernel.dylib
>>   0x7fff93151000 -     0x7fff93158fff  com.apple.NetFS (6.0 - 4.0) =
<8E26C099-CE9D-3819-91A2-64EA929C6137> =
/System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
>>   0x7fff931cd000 -     0x7fff932beff9  libiconv.2.dylib (41) =
<BB44B115-AC32-3877-A0ED-AEC6232A4563> /usr/lib/libiconv.2.dylib
>>   0x7fff932bf000 -     0x7fff9330dfff  libcorecrypto.dylib (161.1) =
<F3973C28-14B6-3006-BB2B-00DD7F09ABC7> =
/usr/lib/system/libcorecrypto.dylib
>>   0x7fff9330e000 -     0x7fff933c6ff7  com.apple.DiscRecording (8.0 - =
8000.4.6) <CDAAAD04-A1D0-3C67-ABCC-EFC9E8D44E7E> =
/System/Library/Frameworks/DiscRecording.framework/Versions/A/DiscRecordin=
g
>>   0x7fff934ae000 -     0x7fff934b1fff  com.apple.TCC (1.0 - 1) =
<32A075D9-47FD-3E71-95BC-BFB0D583F41C> =
/System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
>>   0x7fff938a2000 -     0x7fff938adfff  libGL.dylib (9.6.1) =
<4B65BF9F-F34A-3CD1-94E8-DB26DAA0A59D> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dyl=
ib
>>   0x7fff93931000 -     0x7fff93b95ffd  com.apple.security (7.0 - =
55471.14.18) <83A9E8C8-06A1-3F6D-8514-C35CD0DBD370> =
/System/Library/Frameworks/Security.framework/Versions/A/Security
>>   0x7fff93bd8000 -     0x7fff93be1fff  =
com.apple.speech.synthesis.framework (4.7.1 - 4.7.1) =
<383FB557-E88E-3239-82B8-15F9F885B702> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
>>   0x7fff93c10000 -     0x7fff93c29ff7  com.apple.Kerberos (3.0 - 1) =
<F108AFEB-198A-3BAF-BCA5-9DFCE55EFF92> =
/System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
>>   0x7fff93d5a000 -     0x7fff93d6bff7  libsystem_asl.dylib (217.1.4) =
<655FB343-52CF-3E2F-B14D-BEBF5AAEF94D> =
/usr/lib/system/libsystem_asl.dylib
>>   0x7fff93f5e000 -     0x7fff93f86ffb  libxslt.1.dylib (13) =
<C9794936-633C-3F0C-9E71-30190B9B41C1> /usr/lib/libxslt.1.dylib
>>   0x7fff93f9b000 -     0x7fff93f9cfff  liblangid.dylib (117) =
<9546E641-F730-3AB0-B3CD-E0E2FDD173D9> /usr/lib/liblangid.dylib
>>   0x7fff93f9d000 -     0x7fff93ff6fff  libTIFF.dylib (1044) =
<FBC5800B-7F34-3755-A44E-7B37B3E0B32E> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.=
dylib
>>   0x7fff93ff7000 -     0x7fff93fffff3  libCGCMS.A.dylib (599.35.4) =
<67AD122A-B8DA-3C05-8B8C-1939F5064FAE> =
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/lib=
CGCMS.A.dylib
>>   0x7fff9407e000 -     0x7fff94087ffb  libsystem_notify.dylib =
(121.20.1) <9B34B4FE-F5AD-3F09-A5F0-46AFF3571323> =
/usr/lib/system/libsystem_notify.dylib
>>   0x7fff94455000 -     0x7fff9445dfff  libsystem_dnssd.dylib =
(522.92.1) <17B03FFD-92C5-3282-9981-EBB28B456207> =
/usr/lib/system/libsystem_dnssd.dylib
>>   0x7fff94460000 -     0x7fff94618ffb  libicucore.A.dylib (511.35) =
<6F097DA7-147C-32A1-93D2-728A64CF0DC2> /usr/lib/libicucore.A.dylib
>>   0x7fff94691000 -     0x7fff946a9ff7  com.apple.GenerationalStorage =
(2.0 - 160.3) <64749B08-0212-3AC8-9B49-73D662B09304> =
/System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A=
/GenerationalStorage
>>   0x7fff946aa000 -     0x7fff946bcff7  =
com.apple.MultitouchSupport.framework (245.13.1 - 245.13.1) =
<38262B92-C63F-35A0-997D-AD2EBF2F8338> =
/System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/M=
ultitouchSupport
>>   0x7fff946bd000 -     0x7fff94704fff  libFontRegistry.dylib (127) =
<A77A0480-AA5D-3CC8-8B68-69985CD546DC> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
>>   0x7fff94764000 -     0x7fff9478bff7  libsystem_network.dylib =
(241.3) <8B1E1F1D-A5CC-3BAE-8B1E-ABC84337A364> =
/usr/lib/system/libsystem_network.dylib
>>   0x7fff94791000 -     0x7fff94794ffc  com.apple.IOSurface (91.1 - =
91.1) <D00EEB0C-8AA8-3986-90C1-C97B2486E8FA> =
/System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
>>   0x7fff94795000 -     0x7fff94796fff  libunc.dylib (28) =
<62682455-1862-36FE-8A04-7A6B91256438> /usr/lib/system/libunc.dylib
>>   0x7fff94920000 -     0x7fff9492efff  com.apple.opengl (9.6.1 - =
9.6.1) <B22FA400-5824-36AF-9945-5FEC31995A0E> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
>>   0x7fff9496e000 -     0x7fff94c18ff5  com.apple.HIToolbox (2.1.1 - =
698) <A388E773-AE7B-3FD1-8662-A98E6E24EA16> =
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbo=
x.framework/Versions/A/HIToolbox
>>   0x7fff94c19000 -     0x7fff94ce3ff7  com.apple.LaunchServices =
(572.28 - 572.28) <FC72C089-A069-3374-B80A-E041AF149F24> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/La=
unchServices.framework/Versions/A/LaunchServices
>>=20
>> External Modification Summary:
>> Calls made by other processes targeting this process:
>>   task_for_pid: 1
>>   thread_create: 0
>>   thread_set_state: 0
>> Calls made by this process:
>>   task_for_pid: 0
>>   thread_create: 0
>>   thread_set_state: 0
>> Calls made by all processes on this machine:
>>   task_for_pid: 223684
>>   thread_create: 1
>>   thread_set_state: 0
>>=20
>> VM Region Summary:
>> ReadOnly portion of Libraries: Total=3D165.2M resident=3D56.9M(34%) =
swapped_out_or_unallocated=3D108.3M(66%)
>> Writable regions: Total=3D130.2M written=3D19.1M(15%) =
resident=3D32.3M(25%) swapped_out=3D228K(0%) unallocated=3D97.9M(75%)
>>=20
>> REGION TYPE                      VIRTUAL
>> =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D                      =3D=3D=3D=3D=3D=3D=
=3D
>> ATS (font support)                 32.1M
>> ATS (font support) (reserved)         4K        reserved VM address =
space (unallocated)
>> CG backing stores                  1364K
>> CG image                             92K
>> CG raster data                      132K
>> CG shared images                    212K
>> CoreImage                            72K
>> Dispatch continuations             8192K
>> Image IO                            212K
>> Kernel Alloc Once                     8K
>> MALLOC                             49.0M
>> MALLOC (admin)                       32K
>> Memory Tag 242                       12K
>> Memory Tag 251                        8K
>> OpenCL                               28K
>> STACK GUARD                        55.7M
>> Stack                              10.4M
>> VM_ALLOCATE                        16.4M
>> __DATA                             41.8M
>> __IMAGE                             528K
>> __LINKEDIT                         67.2M
>> __TEXT                             98.0M
>> __UNICODE                           544K
>> mapped file                        57.4M
>> shared memory                         4K
>> =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D                      =3D=3D=3D=3D=3D=3D=
=3D
>> TOTAL                             439.0M
>> TOTAL, minus reserved VM space    439.0M
>>=20
>>=20
>> Model: MacBookPro6,2, BootROM MBP61.0057.B0F, 2 processors, Intel =
Core i5, 2.4 GHz, 8 GB, SMC 1.58f17
>> Graphics: Intel HD Graphics, Intel HD Graphics, Built-In, 288 MB
>> Graphics: NVIDIA GeForce GT 330M, NVIDIA GeForce GT 330M, PCIe, 256 =
MB
>> Memory Module: BANK 0/DIMM0, 4 GB, DDR3, 1067 MHz, 0x02BA, -
>> Memory Module: BANK 1/DIMM0, 4 GB, DDR3, 1067 MHz, 0x02BA, -
>> AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x93), =
Broadcom BCM43xx 1.0 (5.106.98.100.22)
>> Bluetooth: Version 4.2.7f3 14616, 3 services, 23 devices, 1 incoming =
serial ports
>> Network Service: AirPort, AirPort, en1
>> Serial ATA Device: Hitachi HTS545032B9SA02, 320.07 GB
>> Serial ATA Device: MATSHITADVD-R   UJ-898
>> USB Device: Hub
>> USB Device: Apple Internal Keyboard / Trackpad
>> USB Device: Internal Memory Card Reader
>> USB Device: BRCM2070 Hub
>> USB Device: Bluetooth USB Host Controller
>> USB Device: Hub
>> USB Device: Hub
>> USB Device: Keyboard Hub
>> USB Device: Apple Keyboard
>> USB Device: Apple Cinema HD Display
>> USB Device: Built-in iSight
>> USB Device: IR Receiver
>> Thunderbolt Bus:=20
>>=20
>>=20
>>=20
>>=20
>>=20
>>=20
>>=20
>>=20
>>=20
>>=20
>=20
>=20
>=20





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18759; Package emacs. Full text available.

Message received at 18759 <at> debbugs.gnu.org:


Received: (at 18759) by debbugs.gnu.org; 19 Oct 2014 08:56:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 19 04:56:38 2014
Received: from localhost ([127.0.0.1]:55419 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XfmHy-0006yY-I1
	for submit <at> debbugs.gnu.org; Sun, 19 Oct 2014 04:56:38 -0400
Received: from mailfe04.swip.net ([212.247.154.97]:36573 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1XfmHr-0006yC-R0
 for 18759 <at> debbugs.gnu.org; Sun, 19 Oct 2014 04:56:31 -0400
X-T2-Spam-Status: No, hits=-1.9 required=5.0 tests=BAYES_00
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe04.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 539601955; Sun, 19 Oct 2014 10:56:18 +0200
Content-Type: text/plain; charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 8.0 \(1990.1\))
Subject: Re: bug#18759: 24.3.94; Yank from clipboard crashes
From: =?utf-8?Q?Jan_Dj=C3=A4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <F9A4C4F4-2DDA-4065-890A-D393D9E8B3DC@HIDDEN>
Date: Sun, 19 Oct 2014 10:56:17 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <FD72518B-F48F-426C-B359-579301DF413C@HIDDEN>
References: <72041AB1-3DEF-44EF-B252-9270B6082BA6@HIDDEN>
 <83siilexen.fsf@HIDDEN> <4C067D86-5094-41F1-95A8-B8C8C7FF0009@HIDDEN>
 <83r3y5etj8.fsf@HIDDEN> <F9A4C4F4-2DDA-4065-890A-D393D9E8B3DC@HIDDEN>
To: Donald Tillman <don@HIDDEN>
X-Mailer: Apple Mail (2.1990.1)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 18759
Cc: Eli Zaretskii <eliz@HIDDEN>, 18759 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello.

> 19 okt 2014 kl. 00:58 skrev Donald Tillman <don@HIDDEN>:
>=20
> Hi Eli,
>=20
> I've got some more...
>=20
> The Emacs I'm running came from the "Pretests" section in =
http://emacsformacosx.com/builds=20

I tried that version, still no crash.  It can be something with your =
locale or perhaps font.
Did you customize the font used?
Did you start emacs with -Q?

	Jan D.

> .
>=20
> And here below is the content of the crash window. (It was stuck =
hidden before.)
>=20
>  -- Don
> --
> Don Tillman
> Palo Alto, California
> don@HIDDEN
> http://www.till.com
>=20
>=20
>=20
> Process:         Emacs-x86_64-10_9 [82115]
> Path:            =
/Applications/Emacs.app/Contents/MacOS/Emacs-x86_64-10_9
> Identifier:      org.gnu.Emacs
> Version:         Version 24.3.94 (9.0)
> Code Type:       X86-64 (Native)
> Parent Process:  launchd [214]
> Responsible:     Emacs-x86_64-10_9 [82115]
> User ID:         501
>=20
> Date/Time:       2014-10-18 15:52:49.357 -0700
> OS Version:      Mac OS X 10.9.5 (13F34)
> Report Version:  11
> Anonymous UUID:  B635CE32-69C1-3C25-8E8B-B7990CEFEA21
>=20
> Sleep/Wake UUID: E325FE90-0CFF-4FAF-95AE-414E73095482
>=20
> Crashed Thread:  0  Dispatch queue: com.apple.main-thread
>=20
> Exception Type:  EXC_BAD_ACCESS (SIGABRT)
> Exception Codes: EXC_I386_GPFLT
>=20
> Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
> 0   libsystem_kernel.dylib        	0x00007fff93149292 __kill + 10
> 1   Emacs-x86_64-10_9             	0x00000001000b8934 =
terminate_due_to_signal + 148
> 2   Emacs-x86_64-10_9             	0x00000001000d5d53 emacs_abort + =
19
> 3   Emacs-x86_64-10_9             	0x00000001001a739c =
ns_term_shutdown + 124
> 4   Emacs-x86_64-10_9             	0x00000001000b8b2b =
shut_down_emacs + 283
> 5   Emacs-x86_64-10_9             	0x00000001000b88f9 =
terminate_due_to_signal + 89
> 6   Emacs-x86_64-10_9             	0x00000001000d7686 =
deliver_fatal_thread_signal + 134
> 7   libsystem_platform.dylib      	0x00007fff8e5535aa _sigtramp + =
26
> 8   ???                           	000000000000000000 0 + 0
> 9   Emacs-x86_64-10_9             	0x00000001001c7582 macfont_draw =
+ 738
> 10  Emacs-x86_64-10_9             	0x00000001001b4c9d =
ns_draw_glyph_string + 1437
> 11  Emacs-x86_64-10_9             	0x0000000100038f84 draw_glyphs + =
15380
> 12  Emacs-x86_64-10_9             	0x0000000100035306 =
x_write_glyphs + 166
> 13  Emacs-x86_64-10_9             	0x000000010000a99e =
update_window_line + 670
> 14  Emacs-x86_64-10_9             	0x000000010000682c update_window =
+ 4620
> 15  Emacs-x86_64-10_9             	0x0000000100004fe4 =
update_window_tree + 132
> 16  Emacs-x86_64-10_9             	0x0000000100004e3d update_frame =
+ 125
> 17  Emacs-x86_64-10_9             	0x0000000100026cde =
redisplay_internal + 7086
> 18  Emacs-x86_64-10_9             	0x00000001000c050b read_char + =
1947
> 19  Emacs-x86_64-10_9             	0x00000001000bdc43 =
read_key_sequence + 1859
> 20  Emacs-x86_64-10_9             	0x00000001000bd2d4 =
command_loop_1 + 5188
> 21  Emacs-x86_64-10_9             	0x00000001001384ab =
internal_condition_case + 251
> 22  Emacs-x86_64-10_9             	0x00000001000cd71e =
command_loop_2 + 62
> 23  Emacs-x86_64-10_9             	0x0000000100137e43 =
internal_catch + 243
> 24  Emacs-x86_64-10_9             	0x00000001000bb45d =
recursive_edit_1 + 221
> 25  Emacs-x86_64-10_9             	0x00000001000bb60c =
Frecursive_edit + 236
> 26  Emacs-x86_64-10_9             	0x00000001000ba257 main + 5831
> 27  libdyld.dylib                 	0x00007fff8f2aa5fd start + 1
>=20
> Thread 1:: Dispatch queue: com.apple.libdispatch-manager
> 0   libsystem_kernel.dylib        	0x00007fff9314a662 kevent64 + 10
> 1   libdispatch.dylib             	0x00007fff8f762421 =
_dispatch_mgr_invoke + 239
> 2   libdispatch.dylib             	0x00007fff8f762136 =
_dispatch_mgr_thread + 52
>=20
> Thread 2:
> 0   libsystem_kernel.dylib        	0x00007fff93149e6a =
__workq_kernreturn + 10
> 1   libsystem_pthread.dylib       	0x00007fff8e7c4f08 =
_pthread_wqthread + 330
> 2   libsystem_pthread.dylib       	0x00007fff8e7c7fb9 =
start_wqthread + 13
>=20
> Thread 3:
> 0   libsystem_kernel.dylib        	0x00007fff931499aa __select + 10
> 1   Emacs-x86_64-10_9             	0x00000001001a87a8 -[EmacsApp =
fd_handler:] + 264
> 2   com.apple.Foundation          	0x00007fff8eca5dfb =
__NSThread__main__ + 1318
> 3   libsystem_pthread.dylib       	0x00007fff8e7c3899 _pthread_body =
+ 138
> 4   libsystem_pthread.dylib       	0x00007fff8e7c372a =
_pthread_start + 137
> 5   libsystem_pthread.dylib       	0x00007fff8e7c7fc9 thread_start =
+ 13
>=20
> Thread 4:
> 0   libsystem_kernel.dylib        	0x00007fff93149e6a =
__workq_kernreturn + 10
> 1   libsystem_pthread.dylib       	0x00007fff8e7c4f08 =
_pthread_wqthread + 330
> 2   libsystem_pthread.dylib       	0x00007fff8e7c7fb9 =
start_wqthread + 13
>=20
> Thread 5:
> 0   libsystem_kernel.dylib        	0x00007fff93145a1a mach_msg_trap =
+ 10
> 1   libsystem_kernel.dylib        	0x00007fff93144d18 mach_msg + 64
> 2   com.apple.CoreFoundation      	0x00007fff875ebf15 =
__CFRunLoopServiceMachPort + 181
> 3   com.apple.CoreFoundation      	0x00007fff875eb539 =
__CFRunLoopRun + 1161
> 4   com.apple.CoreFoundation      	0x00007fff875eae75 =
CFRunLoopRunSpecific + 309
> 5   com.apple.AppKit              	0x00007fff8b99b05e =
_NSEventThread + 144
> 6   libsystem_pthread.dylib       	0x00007fff8e7c3899 _pthread_body =
+ 138
> 7   libsystem_pthread.dylib       	0x00007fff8e7c372a =
_pthread_start + 137
> 8   libsystem_pthread.dylib       	0x00007fff8e7c7fc9 thread_start =
+ 13
>=20
> Thread 0 crashed with X86 Thread State (64-bit):
>  rax: 0x0000000000000000  rbx: 0x0000000000000006  rcx: =
0x00007fff5fbfb9e8  rdx: 0x0000000000000000
>  rdi: 0x00000000000140c3  rsi: 0x0000000000000006  rbp: =
0x00007fff5fbfba10  rsp: 0x00007fff5fbfb9e8
>   r8: 0x0000000100700000   r9: 0x0000000000000bba  r10: =
0x00007fff93149896  r11: 0x0000000000000206
>  r12: 0x000000010053b690  r13: 0x000000010053b630  r14: =
0x0000000000000028  r15: 0x0000000000000020
>  rip: 0x00007fff93149292  rfl: 0x0000000000000206  cr2: =
0x0000000102edc062
>=20
> Logical CPU:     0
> Error Code:      0x02000025
> Trap Number:     133
>=20
>=20
> Binary Images:
>       0x100000000 -        0x10020cff7 +Emacs-x86_64-10_9 (0) =
<EE9FC5BA-F10D-36F4-900F-C051364B4501> =
/Applications/Emacs.app/Contents/MacOS/Emacs-x86_64-10_9
>       0x1010fd000 -        0x1010fdff9 +cl_kernels (???) =
<22F3D8AC-4D32-4F84-9030-3EAA9E473F37> cl_kernels
>       0x1017e0000 -        0x1017e1ff4 +cl_kernels (???) =
<25D36FAE-4B18-405E-859E-A7143B0DBC78> cl_kernels
>       0x102ef1000 -        0x102ef5ffd  libFontRegistryUI.dylib (127) =
<57DE4E73-B65B-3712-9815-81018E72501A> =
/System/Library/Frameworks/ApplicationServices.framework/Frameworks/ATS.fr=
amework/Resources/libFontRegistryUI.dylib
>       0x106e33000 -        0x106e33fff +cl_kernels (???) =
<8AD221A6-AE6B-4DBE-A774-45F2CC74DD59> cl_kernels
>       0x109d2c000 -        0x109e12fef  unorm8_bgra.dylib (2.3.58) =
<280D6FDD-8CA5-36EC-9EA1-D7DC09598E20> =
/System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/ImageForm=
ats/unorm8_bgra.dylib
>       0x10a12e000 -        0x10a20eff7  unorm8_rgba.dylib (2.3.58) =
<8252DC3E-7434-34C6-B4B9-CFD59B923D12> =
/System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/ImageForm=
ats/unorm8_rgba.dylib
>    0x7fff69778000 -     0x7fff697ab817  dyld (239.4) =
<7AD43B9B-5CEA-3C7E-9836-A06909F9CA56> /usr/lib/dyld
>    0x7fff87028000 -     0x7fff8702afff  libCVMSPluginSupport.dylib =
(9.6.1) <FB37F4C4-1E84-3349-BB03-92CA0A5F6837> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPl=
uginSupport.dylib
>    0x7fff8702b000 -     0x7fff87038ff7  libxar.1.dylib (202) =
<5572AA71-E98D-3FE1-9402-BB4A84E0E71E> /usr/lib/libxar.1.dylib
>    0x7fff87508000 -     0x7fff87538fff  com.apple.IconServices (25 - =
25.17) <4751127E-FBD5-3ED5-8510-08D4E4166EFE> =
/System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconSe=
rvices
>    0x7fff87579000 -     0x7fff8757afff  libsystem_sandbox.dylib =
(278.11.1) <0D0B13EA-6B7A-3AC8-BE60-B548543BEB77> =
/usr/lib/system/libsystem_sandbox.dylib
>    0x7fff8757b000 -     0x7fff87760fff  com.apple.CoreFoundation (6.9 =
- 855.17) <729BD6DA-1F63-3E72-A148-26F21EBF52BB> =
/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundat=
ion
>    0x7fff88025000 -     0x7fff880b0ff7  libCoreStorage.dylib =
(380.70.2) <BD993BC8-ED54-3DC1-B28B-3B6AC77E8E5C> =
/usr/lib/libCoreStorage.dylib
>    0x7fff880b1000 -     0x7fff880beff4  com.apple.Librarian (1.2 - 1) =
<F1A2744D-8536-32C7-8218-9972C6300DAE> =
/System/Library/PrivateFrameworks/Librarian.framework/Versions/A/Librarian=

>    0x7fff8812a000 -     0x7fff88a49797  com.apple.CoreGraphics =
(1.600.0 - 599.35.4) <C8CBC664-0CD2-3C7D-A301-9B3BA731250C> =
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
>    0x7fff88d76000 -     0x7fff88d83ff0  libbz2.1.0.dylib (29) =
<0B98AC35-B138-349C-8063-2B987A75D24C> /usr/lib/libbz2.1.0.dylib
>    0x7fff88d84000 -     0x7fff88da8ff7  libJPEG.dylib (1044) =
<BE0ED4E1-F7FC-3038-86D3-0456DD173FCB> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.=
dylib
>    0x7fff89592000 -     0x7fff895d1fff  libGLU.dylib (9.6.1) =
<AE032555-3E2F-3DBF-A26D-EA4576061605> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dy=
lib
>    0x7fff895d2000 -     0x7fff89636fff  com.apple.datadetectorscore =
(5.0 - 354.5) <0AE9749A-6BFC-3032-B802-210DF59AEDB0> =
/System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/D=
ataDetectorsCore
>    0x7fff89637000 -     0x7fff896c7ff7  com.apple.Metadata (10.7.0 - =
800.28) <E85AEB1B-CB17-38BC-B5C6-AAB50B47AF05> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Me=
tadata.framework/Versions/A/Metadata
>    0x7fff896c8000 -     0x7fff89701ff7  com.apple.QD (3.50 - 298) =
<C1F20764-DEF0-34CF-B3AB-AB5480D64E66> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/QD.framework/Versions/A/QD
>    0x7fff89710000 -     0x7fff89710ffd  libOpenScriptingUtil.dylib =
(157) <19F0E769-0989-3062-9AFB-8976E90E9759> =
/usr/lib/libOpenScriptingUtil.dylib
>    0x7fff89774000 -     0x7fff89775fff  com.apple.TrustEvaluationAgent =
(2.0 - 25) <334A82F4-4AE4-3719-A511-86D0B0723E2B> =
/System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/=
A/TrustEvaluationAgent
>    0x7fff89783000 -     0x7fff897befff  com.apple.bom (14.0 - 193.1) =
<EF24A562-6D3C-379E-8B9B-FAE0E4A0EF7C> =
/System/Library/PrivateFrameworks/Bom.framework/Versions/A/Bom
>    0x7fff897bf000 -     0x7fff897bffff  com.apple.ApplicationServices =
(48 - 48) <3E3F01A8-314D-378F-835E-9CC4F8820031> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Applic=
ationServices
>    0x7fff897fa000 -     0x7fff89801fff  libcompiler_rt.dylib (35) =
<4CD916B2-1B17-362A-B403-EF24A1DAC141> =
/usr/lib/system/libcompiler_rt.dylib
>    0x7fff89802000 -     0x7fff8982bff7  libc++abi.dylib (49.1) =
<21A807D3-6732-3455-B77F-743E9F916DF0> /usr/lib/libc++abi.dylib
>    0x7fff8982c000 -     0x7fff89871fff  libcurl.4.dylib (78.94.1) =
<88F27F9B-052E-3375-938D-2603E90D8AD5> /usr/lib/libcurl.4.dylib
>    0x7fff898c4000 -     0x7fff899aefff  libsqlite3.dylib (158) =
<00269BF9-43BE-39E0-9C85-24585B9923C8> /usr/lib/libsqlite3.dylib
>    0x7fff89a34000 -     0x7fff89a5cffb  libRIP.A.dylib (599.35.4) =
<F3C60582-1F27-335D-9C97-8CF307670F7B> =
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/lib=
RIP.A.dylib
>    0x7fff89a5d000 -     0x7fff89a5eff7  libSystem.B.dylib (1197.1.1) =
<E303F2F8-A8CF-3DF3-84B3-F2D0EE41CCF6> /usr/lib/libSystem.B.dylib
>    0x7fff89a5f000 -     0x7fff89d33fc7  com.apple.vImage (7.0 - 7.0) =
<D241DBFA-AC49-31E2-893D-EAAC31890C90> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vIma=
ge.framework/Versions/A/vImage
>    0x7fff89d34000 -     0x7fff89d41fff  com.apple.Sharing (132.2 - =
132.2) <F983394A-226D-3244-B511-FA51FDB6ADDA> =
/System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing
>    0x7fff89d42000 -     0x7fff89d4cfff  libcommonCrypto.dylib (60049) =
<8C4F0CA0-389C-3EDC-B155-E62DD2187E1D> =
/usr/lib/system/libcommonCrypto.dylib
>    0x7fff89d4d000 -     0x7fff89d4fff3  libsystem_configuration.dylib =
(596.15) <4998CB6A-9D54-390A-9F57-5D1AC53C135C> =
/usr/lib/system/libsystem_configuration.dylib
>    0x7fff89d76000 -     0x7fff89d7aff7  libGIF.dylib (1044) =
<7E51DFC3-740A-3CD3-98A1-1EC510A4A055> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.d=
ylib
>    0x7fff89d7b000 -     0x7fff89d80fff  com.apple.DiskArbitration (2.6 =
- 2.6) <A4165553-770E-3D27-B217-01FC1F852B87> =
/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitr=
ation
>    0x7fff89d81000 -     0x7fff89dcfff7  com.apple.opencl (2.3.59 - =
2.3.59) <9F43F471-C3C3-352D-889D-EC418DC1F5B2> =
/System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
>    0x7fff89dd6000 -     0x7fff89ddcfff  com.apple.AOSNotification =
(1.7.0 - 760.3) <7901B867-60F7-3645-BB3E-18C51A6FBCC6> =
/System/Library/PrivateFrameworks/AOSNotification.framework/Versions/A/AOS=
Notification
>    0x7fff89ddd000 -     0x7fff89e30fff  =
com.apple.ScalableUserInterface (1.0 - 1) =
<CF745298-7373-38D2-B3B1-727D5A569E48> =
/System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/Scal=
ableUserInterface.framework/Versions/A/ScalableUserInterface
>    0x7fff89e33000 -     0x7fff89f17ff7  com.apple.coreui (2.2 - 231.1) =
<187DF89C-8A64-366D-8782-F90315FA3CD7> =
/System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
>    0x7fff89f18000 -     0x7fff89f18fff  com.apple.Accelerate (1.9 - =
Accelerate 1.9) <509BB27A-AE62-366D-86D8-0B06D217CF56> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
>    0x7fff89f19000 -     0x7fff89f1dff7  libsystem_stats.dylib =
(93.90.3) <4E51D5B0-92A0-3D0D-B90E-495A1ED3E391> =
/usr/lib/system/libsystem_stats.dylib
>    0x7fff89f1e000 -     0x7fff89fefff1  com.apple.DiskImagesFramework =
(10.9 - 371.1) <DCCAADEC-35D5-3968-8B39-358ACC56ADC4> =
/System/Library/PrivateFrameworks/DiskImages.framework/Versions/A/DiskImag=
es
>    0x7fff8a05a000 -     0x7fff8a086fff  com.apple.CoreServicesInternal =
(184.9 - 184.9) <4DEA54F9-81D6-3EDB-AA3C-1F9C497B3379> =
/System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/=
A/CoreServicesInternal
>    0x7fff8a087000 -     0x7fff8a096ff8  com.apple.LangAnalysis (1.7.0 =
- 1.7.0) <8FE131B6-1180-3892-98F5-C9C9B79072D4> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/LangAnalysis.framework/Versions/A/LangAnalysis
>    0x7fff8a0b3000 -     0x7fff8a0b6fff  libCoreVMClient.dylib (58.1) =
<EBC36C69-C896-3C3D-8589-3E9023E7E56F> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVM=
Client.dylib
>    0x7fff8a0ce000 -     0x7fff8a1bcfff  libJP2.dylib (1044) =
<BE5FF765-5ECE-38B5-BF5D-BE806F5CAD18> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.d=
ylib
>    0x7fff8a1d3000 -     0x7fff8a1e3ffb  libsasl2.2.dylib (170) =
<C8E25710-68B6-368A-BF3E-48EC7273177B> /usr/lib/libsasl2.2.dylib
>    0x7fff8a1e4000 -     0x7fff8a1ffff7  libsystem_malloc.dylib =
(23.10.1) <A695B4E4-38E9-332E-A772-29D31E3F1385> =
/usr/lib/system/libsystem_malloc.dylib
>    0x7fff8a5a0000 -     0x7fff8a5aaff7  com.apple.CrashReporterSupport =
(10.9 - 539) <B25A09EC-A021-32EC-86F8-05B4837E0EDE> =
/System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/=
A/CrashReporterSupport
>    0x7fff8a5ab000 -     0x7fff8a5afff7  libcache.dylib (62) =
<BDC1E65B-72A1-3DA3-A57C-B23159CAAD0B> /usr/lib/system/libcache.dylib
>    0x7fff8a5bf000 -     0x7fff8a5fdff7  libGLImage.dylib (9.6.1) =
<5E02B38C-9F36-39BE-8746-724F0D8BBFC0> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImag=
e.dylib
>    0x7fff8a5fe000 -     0x7fff8a606ffc  libGFXShared.dylib (9.6.1) =
<25BBF325-AC57-3BAA-9427-2D14CC243AE6> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXSha=
red.dylib
>    0x7fff8a607000 -     0x7fff8a611ff7  libcsfde.dylib (380.70.2) =
<3ACB87D7-A81C-3C45-B648-AD27F1B9D841> /usr/lib/libcsfde.dylib
>    0x7fff8a612000 -     0x7fff8a641fff  com.apple.DebugSymbols (106 - =
106) <E1BDED08-523A-36F4-B2DA-9D5C712F0AC7> =
/System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugS=
ymbols
>    0x7fff8a642000 -     0x7fff8a6aefff  com.apple.framework.IOKit =
(2.0.1 - 907.100.13) <057FDBA3-56D6-3903-8C0B-849214BF1985> =
/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
>    0x7fff8a81e000 -     0x7fff8a839ff7  libCRFSuite.dylib (34) =
<FFAE75FA-C54E-398B-AA97-18164CD9789D> /usr/lib/libCRFSuite.dylib
>    0x7fff8a83a000 -     0x7fff8a8fcff5  com.apple.CoreText (367.20 - =
367.20) <B80D086D-93A9-3C35-860E-9C3FDD027F3B> =
/System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
>    0x7fff8af6c000 -     0x7fff8afa1ffc  com.apple.LDAPFramework =
(2.4.28 - 194.5) <4ADD0595-25B9-3F09-897E-3FB790AD2C5A> =
/System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
>    0x7fff8afb4000 -     0x7fff8afb6fff  com.apple.EFILogin (2.0 - 2) =
<C360E8AF-E9BB-3BBA-9DF0-57A92CEF00D4> =
/System/Library/PrivateFrameworks/EFILogin.framework/Versions/A/EFILogin
>    0x7fff8b1ab000 -     0x7fff8b1adff7  libquarantine.dylib (71) =
<7A1A2BCB-C03D-3A25-BFA4-3E569B2D2C38> =
/usr/lib/system/libquarantine.dylib
>    0x7fff8b28a000 -     0x7fff8b2dbff7  com.apple.audio.CoreAudio =
(4.2.1 - 4.2.1) <BE13E840-FB45-3BC2-BCF5-031629754FD5> =
/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
>    0x7fff8b301000 -     0x7fff8b331fff  libncurses.5.4.dylib (42) =
<BF763D62-9149-37CB-B1D2-F66A2510E6DD> /usr/lib/libncurses.5.4.dylib
>    0x7fff8b713000 -     0x7fff8b79cff7  libsystem_c.dylib (997.90.3) =
<6FD3A400-4BB2-3B95-B90C-BE6E9D0D78FA> /usr/lib/system/libsystem_c.dylib
>    0x7fff8b79d000 -     0x7fff8b7a6ffb  libCGInterfaces.dylib (271) =
<68EFBEFE-7506-3235-99A2-5B69EDBFD7B8> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vIma=
ge.framework/Versions/A/Resources/libCGInterfaces.dylib
>    0x7fff8b7a7000 -     0x7fff8b7d6ff9  com.apple.GSS (4.0 - 2.0) =
<44E914BE-B0D0-3E05-9451-CA9E539AFA52> =
/System/Library/Frameworks/GSS.framework/Versions/A/GSS
>    0x7fff8b7d7000 -     0x7fff8c34dff7  com.apple.AppKit (6.9 - =
1265.21) <9DC13B27-841D-3839-93B2-3EDE66157BDE> =
/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
>    0x7fff8c42e000 -     0x7fff8c43fff7  libz.1.dylib (53) =
<42E0C8C6-CA38-3CA4-8619-D24ED5DD492E> /usr/lib/libz.1.dylib
>    0x7fff8c449000 -     0x7fff8c496ff2  =
com.apple.print.framework.PrintCore (9.0 - 428) =
<8D8253E3-302F-3DB2-9C5C-572CB974E8B3> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/PrintCore.framework/Versions/A/PrintCore
>    0x7fff8c497000 -     0x7fff8c497ffd  =
com.apple.audio.units.AudioUnit (1.10 - 1.10) =
<68B21135-55A6-3563-A3D6-3E692A7DEB7F> =
/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
>    0x7fff8c498000 -     0x7fff8c4a0ff7  =
com.apple.speech.recognition.framework (4.2.4 - 4.2.4) =
<98BBB3E4-6239-3EF1-90B2-84EA0D3B8D61> =
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRe=
cognition.framework/Versions/A/SpeechRecognition
>    0x7fff8c4a1000 -     0x7fff8c4aaffd  com.apple.CommonAuth (4.0 - =
2.0) <32BA436F-6319-3A0B-B5D2-2EB75FF36B5B> =
/System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAu=
th
>    0x7fff8c4ab000 -     0x7fff8c592ff7  libxml2.2.dylib (26) =
<A1DADD11-89E5-3DE4-8802-07186225967F> /usr/lib/libxml2.2.dylib
>    0x7fff8c593000 -     0x7fff8c602ff1  =
com.apple.ApplicationServices.ATS (360 - 363.3) =
<546E89D9-2AE7-3111-B2B8-2366650D22F0> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/ATS.framework/Versions/A/ATS
>    0x7fff8c644000 -     0x7fff8c6b7fff  com.apple.securityfoundation =
(6.0 - 55122.3) <0FDC8F53-104C-3938-A852-5B33C30BAAD5> =
/System/Library/Frameworks/SecurityFoundation.framework/Versions/A/Securit=
yFoundation
>    0x7fff8c6b8000 -     0x7fff8c713ffb  com.apple.AE (665.5 - 665.5) =
<BBA230F9-144C-3CAB-A77A-0621719244CD> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE=
.framework/Versions/A/AE
>    0x7fff8c726000 -     0x7fff8c894ff7  libBLAS.dylib (1094.5) =
<DE93A590-5FA5-32A2-A16C-5D7D7361769F> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libBLAS.dylib
>    0x7fff8c89c000 -     0x7fff8c89fffa  libCGXType.A.dylib (599.35.4) =
<A2B493FD-2EDE-3BC2-A281-2381E0156411> =
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/lib=
CGXType.A.dylib
>    0x7fff8c9fb000 -     0x7fff8c9fcff7  =
libDiagnosticMessagesClient.dylib (100) =
<4CDB0F7B-C0AF-3424-BC39-495696F0DB1E> =
/usr/lib/libDiagnosticMessagesClient.dylib
>    0x7fff8cbe3000 -     0x7fff8cbeaff8  liblaunch.dylib (842.92.1) =
<A40A0C7B-3216-39B4-8AE0-B5D3BAF1DA8A> /usr/lib/system/liblaunch.dylib
>    0x7fff8cbeb000 -     0x7fff8ccb6fff  libvDSP.dylib (423.32) =
<3BF732BE-DDE0-38EB-8C54-E4E3C64F77A7> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libvDSP.dylib
>    0x7fff8ccb9000 -     0x7fff8d09affe  libLAPACK.dylib (1094.5) =
<7E7A9B8D-1638-3914-BAE0-663B69865986> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libLAPACK.dylib
>    0x7fff8d0c2000 -     0x7fff8d186ff7  com.apple.backup.framework =
(1.5.4 - 1.5.4) <195DA868-47A5-37E6-8CF0-9BCF11846899> =
/System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
>    0x7fff8d6aa000 -     0x7fff8d6b0ff7  libCGXCoreImage.A.dylib =
(599.35.4) <0A9F43CB-C01F-3A98-AAB3-1E08C65BCFB4> =
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/lib=
CGXCoreImage.A.dylib
>    0x7fff8da4c000 -     0x7fff8dad5fff  com.apple.ColorSync (4.9.0 - =
4.9.0) <B756B908-9AD1-3F5D-83F9-7A0B068387D2> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/ColorSync.framework/Versions/A/ColorSync
>    0x7fff8dc02000 -     0x7fff8dc27ff7  com.apple.ChunkingLibrary (2.0 =
- 155.1) <B845DC7A-D1EA-31E2-967C-D1FE0C628036> =
/System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/Chu=
nkingLibrary
>    0x7fff8dc80000 -     0x7fff8dca7ffb  libsystem_info.dylib (449.1.3) =
<7D41A156-D285-3849-A2C3-C04ADE797D98> =
/usr/lib/system/libsystem_info.dylib
>    0x7fff8dcab000 -     0x7fff8dcafff7  libheimdal-asn1.dylib =
(323.92.1) <CAE21FFF-5763-399C-B7C5-EEBFFEEF2242> =
/usr/lib/libheimdal-asn1.dylib
>    0x7fff8dd6b000 -     0x7fff8dd94fff  com.apple.DictionaryServices =
(1.2 - 208) <A539A058-BA57-35EE-AA08-D0B0E835127D> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Di=
ctionaryServices.framework/Versions/A/DictionaryServices
>    0x7fff8dd95000 -     0x7fff8dda1ff7  com.apple.OpenDirectory (10.9 =
- 173.90.1) <F08601E8-F7E8-3222-AD05-6A26003779CF> =
/System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirector=
y
>    0x7fff8dda2000 -     0x7fff8ddacff7  =
com.apple.bsd.ServiceManagement (2.0 - 2.0) =
<2D27B498-BB9C-3D88-B05A-76908A8A26F3> =
/System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceM=
anagement
>    0x7fff8e40e000 -     0x7fff8e4eafff  libcrypto.0.9.8.dylib (52) =
<ED7F3865-10D4-346B-8C9C-D968EB3B5D35> /usr/lib/libcrypto.0.9.8.dylib
>    0x7fff8e4eb000 -     0x7fff8e51afd2  libsystem_m.dylib (3047.16) =
<B7F0E2E4-2777-33FC-A787-D6430B630D54> /usr/lib/system/libsystem_m.dylib
>    0x7fff8e51b000 -     0x7fff8e54ffff  libssl.0.9.8.dylib (52) =
<51C844FF-D7CD-3525-9ABB-84B8DD11D5E4> /usr/lib/libssl.0.9.8.dylib
>    0x7fff8e550000 -     0x7fff8e556ff7  libsystem_platform.dylib =
(24.90.1) <3C3D3DA8-32B9-3243-98EC-D89B9A1670B3> =
/usr/lib/system/libsystem_platform.dylib
>    0x7fff8e557000 -     0x7fff8e79fff7  com.apple.CoreData (107 - =
481.3) <E78734AA-E3D0-33CB-A014-620BBCAB2E96> =
/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
>    0x7fff8e7c2000 -     0x7fff8e7c9ff7  libsystem_pthread.dylib =
(53.1.4) <AB498556-B555-310E-9041-F67EC9E00E2C> =
/usr/lib/system/libsystem_pthread.dylib
>    0x7fff8e7ca000 -     0x7fff8e7cbffb  libremovefile.dylib (33) =
<3543F917-928E-3DB2-A2F4-7AB73B4970EF> =
/usr/lib/system/libremovefile.dylib
>    0x7fff8e7eb000 -     0x7fff8ec1effb  com.apple.vision.FaceCore =
(3.0.0 - 3.0.0) <F42BFC9C-0B16-35EF-9A07-91B7FDAB7FC5> =
/System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
>    0x7fff8ec1f000 -     0x7fff8ec3bfff  libresolv.9.dylib (54) =
<11C2C826-F1C6-39C6-B4E8-6E0C41D4FA95> /usr/lib/libresolv.9.dylib
>    0x7fff8ec3c000 -     0x7fff8ec3effb  libutil.dylib (34) =
<DAC4A6CF-A1BB-3874-9569-A919316D30E8> /usr/lib/libutil.dylib
>    0x7fff8ec3f000 -     0x7fff8ef3fff7  com.apple.Foundation (6.9 - =
1056.16) <24349208-3603-3F5D-95CC-B379616FBEF8> =
/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
>    0x7fff8ef40000 -     0x7fff8ef98ff7  com.apple.Symbolication (1.4 - =
129.0.2) <B1F008C4-184D-36A2-922F-4A67A075D512> =
/System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbo=
lication
>    0x7fff8efbc000 -     0x7fff8f2a6fff  =
com.apple.CoreServices.CarbonCore (1077.17 - 1077.17) =
<3A2E92FD-DEE2-3D45-9619-11500801A61C> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Ca=
rbonCore.framework/Versions/A/CarbonCore
>    0x7fff8f2a7000 -     0x7fff8f2aaff7  libdyld.dylib (239.4) =
<7C9EC3B7-DDE3-33FF-953F-4067C743951D> /usr/lib/system/libdyld.dylib
>    0x7fff8f2ab000 -     0x7fff8f2c4ff7  com.apple.Ubiquity (1.3 - 289) =
<C7F1B734-CE81-334D-BE41-8B20D95A1F9B> =
/System/Library/PrivateFrameworks/Ubiquity.framework/Versions/A/Ubiquity
>    0x7fff8f30d000 -     0x7fff8f370ffb  com.apple.SystemConfiguration =
(1.13.1 - 1.13.1) <2C8E1A73-5AD6-3A7D-8ED8-D6755555A993> =
/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/System=
Configuration
>    0x7fff8f636000 -     0x7fff8f6adfff  =
com.apple.CoreServices.OSServices (600.4 - 600.4) =
<C63562F5-6DF5-3EE9-8897-FF61A44C8251> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OS=
Services.framework/Versions/A/OSServices
>    0x7fff8f6ae000 -     0x7fff8f75eff7  libvMisc.dylib (423.32) =
<049C0735-1808-39B9-943F-76CB8021744F> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libvMisc.dylib
>    0x7fff8f75f000 -     0x7fff8f779fff  libdispatch.dylib (339.92.1) =
<C4E4A18D-3C3B-3C9C-8709-A4270D998DE7> /usr/lib/system/libdispatch.dylib
>    0x7fff8f791000 -     0x7fff8f7d8ff7  libcups.2.dylib (372.4) =
<36EA4350-43B4-3A5C-9904-10685BFDA7D4> /usr/lib/libcups.2.dylib
>    0x7fff8f7f3000 -     0x7fff8f8e2fff  libFontParser.dylib (111.1) =
<835A8253-6AB9-3AAB-9CBF-171440DEC486> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/ATS.framework/Versions/A/Resources/libFontParser.dylib
>    0x7fff8f8e3000 -     0x7fff8fbb4ff4  com.apple.CoreImage (9.4.0) =
<2C636ECD-0F1A-357C-9EFF-0452476FDDF5> =
/System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/Core=
Image.framework/Versions/A/CoreImage
>    0x7fff8fc2d000 -     0x7fff8fddaf27  libobjc.A.dylib (551.1) =
<AD7FD984-271E-30F4-A361-6B20319EC73B> /usr/lib/libobjc.A.dylib
>    0x7fff8fddb000 -     0x7fff8fe13ff7  com.apple.RemoteViewServices =
(2.0 - 94) <3F34D630-3DDB-3411-BC28-A56A9B55EBDA> =
/System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/=
RemoteViewServices
>    0x7fff90c69000 -     0x7fff90c69ff7  libkeymgr.dylib (28) =
<3AA8D85D-CF00-3BD3-A5A0-E28E1A32A6D8> /usr/lib/system/libkeymgr.dylib
>    0x7fff90cb4000 -     0x7fff90ce5fff  com.apple.MediaKit (15 - 709) =
<23E33409-5C39-3F93-9E73-2B0E9EE8883E> =
/System/Library/PrivateFrameworks/MediaKit.framework/Versions/A/MediaKit
>    0x7fff90d39000 -     0x7fff90d44fff  libkxld.dylib (2422.115.4) =
<3C678B75-F7C5-3DBB-8DBD-48483AD54D5C> /usr/lib/system/libkxld.dylib
>    0x7fff90d45000 -     0x7fff90eb5ff4  com.apple.CFNetwork (673.4 - =
673.4) <F3BF6020-99BE-3844-A7B8-352B93AD02F3> =
/System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
>    0x7fff90eb6000 -     0x7fff90f1bffb  com.apple.Heimdal (4.0 - 2.0) =
<F34D6627-9F80-3823-8B57-DB629307DF87> =
/System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
>    0x7fff90f1c000 -     0x7fff910b8ff3  com.apple.QuartzCore (1.8 - =
332.3) <72003E51-1287-395B-BCBC-331597D45C5E> =
/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
>    0x7fff9112d000 -     0x7fff911aefff  com.apple.CoreSymbolication =
(3.0.1 - 141.0.5) <20E484C4-9F0E-3DF6-BB27-D509859FF57A> =
/System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/C=
oreSymbolication
>    0x7fff911af000 -     0x7fff911caff7  libPng.dylib (1044) =
<151BA92C-6E7C-3B69-8024-FDD1E2C89DD3> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.d=
ylib
>    0x7fff91409000 -     0x7fff9140efff  libmacho.dylib (845) =
<1D2910DF-C036-3A82-A3FD-44FF73B5FF9B> /usr/lib/system/libmacho.dylib
>    0x7fff91439000 -     0x7fff91444ff7  com.apple.NetAuth (5.0 - 5.0) =
<C811E662-9EC3-3B74-808A-A75D624F326B> =
/System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
>    0x7fff91445000 -     0x7fff91446ff7  libsystem_blocks.dylib (63) =
<FB856CD1-2AEA-3907-8E9B-1E54B6827F82> =
/usr/lib/system/libsystem_blocks.dylib
>    0x7fff9145e000 -     0x7fff914a3ff6  com.apple.HIServices (1.23 - =
468) <5970AF5C-F5BD-3B6A-97C9-95B2CA98D71D> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/HIServices.framework/Versions/A/HIServices
>    0x7fff914cc000 -     0x7fff915fcff7  com.apple.desktopservices =
(1.8.3 - 1.8.3) <225BEC20-F8E0-3F22-9560-890A1A5B9050> =
/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A=
/DesktopServicesPriv
>    0x7fff919dd000 -     0x7fff91a1fff7  libauto.dylib (185.5) =
<F45C36E8-B606-3886-B5B1-B6745E757CA8> /usr/lib/libauto.dylib
>    0x7fff91a20000 -     0x7fff91a30fff  libbsm.0.dylib (33) =
<2CAC00A2-1352-302A-88FA-C567D4D69179> /usr/lib/libbsm.0.dylib
>    0x7fff91adc000 -     0x7fff91ae3ffb  libcopyfile.dylib (103.92.1) =
<CF29DFF6-0589-3590-834C-82E2316612E8> /usr/lib/system/libcopyfile.dylib
>    0x7fff91bd7000 -     0x7fff91bd7fff  com.apple.CoreServices (59 - =
59) <7A697B5E-F179-30DF-93F2-8B503CEEEFD5> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
>    0x7fff91e24000 -     0x7fff91eb0ff7  com.apple.ink.framework (10.9 =
- 207) <8A50B893-AD03-3826-8555-A54FEAF08F47> =
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.fram=
ework/Versions/A/Ink
>    0x7fff91eb1000 -     0x7fff9210fff2  com.apple.RawCamera.bundle =
(5.06 - 753) <7315ED29-77A1-3990-9054-F00B96527C06> =
/System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
>    0x7fff92160000 -     0x7fff921a1fff  com.apple.PerformanceAnalysis =
(1.47 - 47) <7B73DFF4-75DB-3403-80D2-0F3FE48764C3> =
/System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A=
/PerformanceAnalysis
>    0x7fff921ad000 -     0x7fff921c4ff7  com.apple.CFOpenDirectory =
(10.9 - 173.90.1) <7BC0194E-1B40-3FCA-ACD2-235CE5D65DFA> =
/System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/C=
FOpenDirectory.framework/Versions/A/CFOpenDirectory
>    0x7fff921c5000 -     0x7fff92319ff3  =
com.apple.audio.toolbox.AudioToolbox (1.10 - 1.10) =
<69B273E8-5A8E-3FC7-B807-C16B657662FE> =
/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
>    0x7fff92327000 -     0x7fff92329fff  libRadiance.dylib (1044) =
<461482C9-CADB-3B36-B023-597C64AD4B00> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadia=
nce.dylib
>    0x7fff9235a000 -     0x7fff9237fff7  com.apple.CoreVideo (1.8 - =
117.2) <4674339E-26D0-35FA-9958-422832B39B12> =
/System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
>    0x7fff92380000 -     0x7fff9238cffb  com.apple.AppleFSCompression =
(56.92.1 - 1.0) <066255FD-DBD1-3041-8DDA-7AFC41C9096D> =
/System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/=
AppleFSCompression
>    0x7fff92424000 -     0x7fff92448fff  libxpc.dylib (300.90.2) =
<AB40CD57-F454-3FD4-B415-63B3C0D5C624> /usr/lib/system/libxpc.dylib
>    0x7fff92449000 -     0x7fff92452ff7  libcldcpuengine.dylib (2.3.58) =
<E3A84FEC-4060-39C2-A469-159A443D2B6D> =
/System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/libcldcpu=
engine.dylib
>    0x7fff92f04000 -     0x7fff92f71fff  com.apple.SearchKit (1.4.0 - =
1.4.0) <B9B8D510-A27E-36B0-93E9-17146D9E9045> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Se=
archKit.framework/Versions/A/SearchKit
>    0x7fff92f72000 -     0x7fff92f76fff  libpam.2.dylib (20) =
<B93CE8F5-DAA8-30A1-B1F6-F890509513CB> /usr/lib/libpam.2.dylib
>    0x7fff92fc0000 -     0x7fff930c6ff7  com.apple.ImageIO.framework =
(3.3.0 - 1044) <3BCCF2AE-CF1F-3324-A371-DF0A42C841A2> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
>    0x7fff930c8000 -     0x7fff930cdff7  libunwind.dylib (35.3) =
<78DCC358-2FC1-302E-B395-0155B47CB547> /usr/lib/system/libunwind.dylib
>    0x7fff930e0000 -     0x7fff930e0fff  com.apple.Accelerate.vecLib =
(3.9 - vecLib 3.9) <F8D0CC77-98AC-3B58-9FE6-0C25421827B6> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/vecLib
>    0x7fff930e1000 -     0x7fff93133fff  libc++.1.dylib (120) =
<4F68DFC5-2077-39A8-A449-CAC5FDEE7BDE> /usr/lib/libc++.1.dylib
>    0x7fff93134000 -     0x7fff93150ff7  libsystem_kernel.dylib =
(2422.115.4) <9EDE872E-2A9E-3A78-8E1D-AB790794A098> =
/usr/lib/system/libsystem_kernel.dylib
>    0x7fff93151000 -     0x7fff93158fff  com.apple.NetFS (6.0 - 4.0) =
<8E26C099-CE9D-3819-91A2-64EA929C6137> =
/System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
>    0x7fff931cd000 -     0x7fff932beff9  libiconv.2.dylib (41) =
<BB44B115-AC32-3877-A0ED-AEC6232A4563> /usr/lib/libiconv.2.dylib
>    0x7fff932bf000 -     0x7fff9330dfff  libcorecrypto.dylib (161.1) =
<F3973C28-14B6-3006-BB2B-00DD7F09ABC7> =
/usr/lib/system/libcorecrypto.dylib
>    0x7fff9330e000 -     0x7fff933c6ff7  com.apple.DiscRecording (8.0 - =
8000.4.6) <CDAAAD04-A1D0-3C67-ABCC-EFC9E8D44E7E> =
/System/Library/Frameworks/DiscRecording.framework/Versions/A/DiscRecordin=
g
>    0x7fff934ae000 -     0x7fff934b1fff  com.apple.TCC (1.0 - 1) =
<32A075D9-47FD-3E71-95BC-BFB0D583F41C> =
/System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
>    0x7fff938a2000 -     0x7fff938adfff  libGL.dylib (9.6.1) =
<4B65BF9F-F34A-3CD1-94E8-DB26DAA0A59D> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dyl=
ib
>    0x7fff93931000 -     0x7fff93b95ffd  com.apple.security (7.0 - =
55471.14.18) <83A9E8C8-06A1-3F6D-8514-C35CD0DBD370> =
/System/Library/Frameworks/Security.framework/Versions/A/Security
>    0x7fff93bd8000 -     0x7fff93be1fff  =
com.apple.speech.synthesis.framework (4.7.1 - 4.7.1) =
<383FB557-E88E-3239-82B8-15F9F885B702> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
>    0x7fff93c10000 -     0x7fff93c29ff7  com.apple.Kerberos (3.0 - 1) =
<F108AFEB-198A-3BAF-BCA5-9DFCE55EFF92> =
/System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
>    0x7fff93d5a000 -     0x7fff93d6bff7  libsystem_asl.dylib (217.1.4) =
<655FB343-52CF-3E2F-B14D-BEBF5AAEF94D> =
/usr/lib/system/libsystem_asl.dylib
>    0x7fff93f5e000 -     0x7fff93f86ffb  libxslt.1.dylib (13) =
<C9794936-633C-3F0C-9E71-30190B9B41C1> /usr/lib/libxslt.1.dylib
>    0x7fff93f9b000 -     0x7fff93f9cfff  liblangid.dylib (117) =
<9546E641-F730-3AB0-B3CD-E0E2FDD173D9> /usr/lib/liblangid.dylib
>    0x7fff93f9d000 -     0x7fff93ff6fff  libTIFF.dylib (1044) =
<FBC5800B-7F34-3755-A44E-7B37B3E0B32E> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.=
dylib
>    0x7fff93ff7000 -     0x7fff93fffff3  libCGCMS.A.dylib (599.35.4) =
<67AD122A-B8DA-3C05-8B8C-1939F5064FAE> =
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/lib=
CGCMS.A.dylib
>    0x7fff9407e000 -     0x7fff94087ffb  libsystem_notify.dylib =
(121.20.1) <9B34B4FE-F5AD-3F09-A5F0-46AFF3571323> =
/usr/lib/system/libsystem_notify.dylib
>    0x7fff94455000 -     0x7fff9445dfff  libsystem_dnssd.dylib =
(522.92.1) <17B03FFD-92C5-3282-9981-EBB28B456207> =
/usr/lib/system/libsystem_dnssd.dylib
>    0x7fff94460000 -     0x7fff94618ffb  libicucore.A.dylib (511.35) =
<6F097DA7-147C-32A1-93D2-728A64CF0DC2> /usr/lib/libicucore.A.dylib
>    0x7fff94691000 -     0x7fff946a9ff7  com.apple.GenerationalStorage =
(2.0 - 160.3) <64749B08-0212-3AC8-9B49-73D662B09304> =
/System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A=
/GenerationalStorage
>    0x7fff946aa000 -     0x7fff946bcff7  =
com.apple.MultitouchSupport.framework (245.13.1 - 245.13.1) =
<38262B92-C63F-35A0-997D-AD2EBF2F8338> =
/System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/M=
ultitouchSupport
>    0x7fff946bd000 -     0x7fff94704fff  libFontRegistry.dylib (127) =
<A77A0480-AA5D-3CC8-8B68-69985CD546DC> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
>    0x7fff94764000 -     0x7fff9478bff7  libsystem_network.dylib =
(241.3) <8B1E1F1D-A5CC-3BAE-8B1E-ABC84337A364> =
/usr/lib/system/libsystem_network.dylib
>    0x7fff94791000 -     0x7fff94794ffc  com.apple.IOSurface (91.1 - =
91.1) <D00EEB0C-8AA8-3986-90C1-C97B2486E8FA> =
/System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
>    0x7fff94795000 -     0x7fff94796fff  libunc.dylib (28) =
<62682455-1862-36FE-8A04-7A6B91256438> /usr/lib/system/libunc.dylib
>    0x7fff94920000 -     0x7fff9492efff  com.apple.opengl (9.6.1 - =
9.6.1) <B22FA400-5824-36AF-9945-5FEC31995A0E> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
>    0x7fff9496e000 -     0x7fff94c18ff5  com.apple.HIToolbox (2.1.1 - =
698) <A388E773-AE7B-3FD1-8662-A98E6E24EA16> =
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbo=
x.framework/Versions/A/HIToolbox
>    0x7fff94c19000 -     0x7fff94ce3ff7  com.apple.LaunchServices =
(572.28 - 572.28) <FC72C089-A069-3374-B80A-E041AF149F24> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/La=
unchServices.framework/Versions/A/LaunchServices
>=20
> External Modification Summary:
>  Calls made by other processes targeting this process:
>    task_for_pid: 1
>    thread_create: 0
>    thread_set_state: 0
>  Calls made by this process:
>    task_for_pid: 0
>    thread_create: 0
>    thread_set_state: 0
>  Calls made by all processes on this machine:
>    task_for_pid: 223684
>    thread_create: 1
>    thread_set_state: 0
>=20
> VM Region Summary:
> ReadOnly portion of Libraries: Total=3D165.2M resident=3D56.9M(34%) =
swapped_out_or_unallocated=3D108.3M(66%)
> Writable regions: Total=3D130.2M written=3D19.1M(15%) =
resident=3D32.3M(25%) swapped_out=3D228K(0%) unallocated=3D97.9M(75%)
>=20
> REGION TYPE                      VIRTUAL
> =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D                      =3D=3D=3D=3D=3D=3D=
=3D
> ATS (font support)                 32.1M
> ATS (font support) (reserved)         4K        reserved VM address =
space (unallocated)
> CG backing stores                  1364K
> CG image                             92K
> CG raster data                      132K
> CG shared images                    212K
> CoreImage                            72K
> Dispatch continuations             8192K
> Image IO                            212K
> Kernel Alloc Once                     8K
> MALLOC                             49.0M
> MALLOC (admin)                       32K
> Memory Tag 242                       12K
> Memory Tag 251                        8K
> OpenCL                               28K
> STACK GUARD                        55.7M
> Stack                              10.4M
> VM_ALLOCATE                        16.4M
> __DATA                             41.8M
> __IMAGE                             528K
> __LINKEDIT                         67.2M
> __TEXT                             98.0M
> __UNICODE                           544K
> mapped file                        57.4M
> shared memory                         4K
> =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D                      =3D=3D=3D=3D=3D=3D=
=3D
> TOTAL                             439.0M
> TOTAL, minus reserved VM space    439.0M
>=20
>=20
> Model: MacBookPro6,2, BootROM MBP61.0057.B0F, 2 processors, Intel Core =
i5, 2.4 GHz, 8 GB, SMC 1.58f17
> Graphics: Intel HD Graphics, Intel HD Graphics, Built-In, 288 MB
> Graphics: NVIDIA GeForce GT 330M, NVIDIA GeForce GT 330M, PCIe, 256 MB
> Memory Module: BANK 0/DIMM0, 4 GB, DDR3, 1067 MHz, 0x02BA, -
> Memory Module: BANK 1/DIMM0, 4 GB, DDR3, 1067 MHz, 0x02BA, -
> AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x93), =
Broadcom BCM43xx 1.0 (5.106.98.100.22)
> Bluetooth: Version 4.2.7f3 14616, 3 services, 23 devices, 1 incoming =
serial ports
> Network Service: AirPort, AirPort, en1
> Serial ATA Device: Hitachi HTS545032B9SA02, 320.07 GB
> Serial ATA Device: MATSHITADVD-R   UJ-898
> USB Device: Hub
> USB Device: Apple Internal Keyboard / Trackpad
> USB Device: Internal Memory Card Reader
> USB Device: BRCM2070 Hub
> USB Device: Bluetooth USB Host Controller
> USB Device: Hub
> USB Device: Hub
> USB Device: Keyboard Hub
> USB Device: Apple Keyboard
> USB Device: Apple Cinema HD Display
> USB Device: Built-in iSight
> USB Device: IR Receiver
> Thunderbolt Bus:=20
>=20
>=20
>=20
>=20
>=20
>=20
>=20
>=20
>=20
>=20





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18759; Package emacs. Full text available.

Message received at 18759 <at> debbugs.gnu.org:


Received: (at 18759) by debbugs.gnu.org; 18 Oct 2014 22:59:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 18 18:59:05 2014
Received: from localhost ([127.0.0.1]:55323 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xfcxi-0000Jh-Ga
	for submit <at> debbugs.gnu.org; Sat, 18 Oct 2014 18:59:05 -0400
Received: from d.mail.sonic.net ([64.142.111.50]:45403)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <don@HIDDEN>) id 1Xfcxb-0000J7-K1
 for 18759 <at> debbugs.gnu.org; Sat, 18 Oct 2014 18:58:59 -0400
Received: from [10.0.1.8] (173-228-125-209.dsl.static.fusionbroadband.com
 [173.228.125.209]) (authenticated bits=0)
 by d.mail.sonic.net (8.14.9/8.14.9) with ESMTP id s9IMwmlw009385
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT);
 Sat, 18 Oct 2014 15:58:49 -0700
Content-Type: text/plain; charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 7.3 \(1878.6\))
Subject: Re: bug#18759: 24.3.94; Yank from clipboard crashes
From: Donald Tillman <don@HIDDEN>
In-Reply-To: <83r3y5etj8.fsf@HIDDEN>
Date: Sat, 18 Oct 2014 15:58:42 -0700
Content-Transfer-Encoding: quoted-printable
Message-Id: <F9A4C4F4-2DDA-4065-890A-D393D9E8B3DC@HIDDEN>
References: <72041AB1-3DEF-44EF-B252-9270B6082BA6@HIDDEN>
 <83siilexen.fsf@HIDDEN> <4C067D86-5094-41F1-95A8-B8C8C7FF0009@HIDDEN>
 <83r3y5etj8.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.1878.6)
X-Sonic-CAuth: UmFuZG9tSVY5Gf/VzgMZP9FM3/T06koxigQJQkf0hpgPdlCoEZO+h3qsprQ2ZdIxAn+DVIqG6NNCuKmzajWwnrtiry5NcvNh
X-Sonic-ID: C;9gYsUhpX5BGoM4EG/FJGkA== M;HmSIUhpX5BGoM4EG/FJGkA==
X-Spam-Flag: No
X-Sonic-Spam-Details: 1.0/5.0 by cerberusd
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 18759
Cc: 18759 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Hi Eli,

I've got some more...

The Emacs I'm running came from the "Pretests" section in =
http://emacsformacosx.com/builds .

And here below is the content of the crash window. (It was stuck hidden =
before.)

  -- Don
--
Don Tillman
Palo Alto, California
don@HIDDEN
http://www.till.com



Process:         Emacs-x86_64-10_9 [82115]
Path:            =
/Applications/Emacs.app/Contents/MacOS/Emacs-x86_64-10_9
Identifier:      org.gnu.Emacs
Version:         Version 24.3.94 (9.0)
Code Type:       X86-64 (Native)
Parent Process:  launchd [214]
Responsible:     Emacs-x86_64-10_9 [82115]
User ID:         501

Date/Time:       2014-10-18 15:52:49.357 -0700
OS Version:      Mac OS X 10.9.5 (13F34)
Report Version:  11
Anonymous UUID:  B635CE32-69C1-3C25-8E8B-B7990CEFEA21

Sleep/Wake UUID: E325FE90-0CFF-4FAF-95AE-414E73095482

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_BAD_ACCESS (SIGABRT)
Exception Codes: EXC_I386_GPFLT

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff93149292 __kill + 10
1   Emacs-x86_64-10_9             	0x00000001000b8934 =
terminate_due_to_signal + 148
2   Emacs-x86_64-10_9             	0x00000001000d5d53 emacs_abort + =
19
3   Emacs-x86_64-10_9             	0x00000001001a739c =
ns_term_shutdown + 124
4   Emacs-x86_64-10_9             	0x00000001000b8b2b =
shut_down_emacs + 283
5   Emacs-x86_64-10_9             	0x00000001000b88f9 =
terminate_due_to_signal + 89
6   Emacs-x86_64-10_9             	0x00000001000d7686 =
deliver_fatal_thread_signal + 134
7   libsystem_platform.dylib      	0x00007fff8e5535aa _sigtramp + =
26
8   ???                           	000000000000000000 0 + 0
9   Emacs-x86_64-10_9             	0x00000001001c7582 macfont_draw =
+ 738
10  Emacs-x86_64-10_9             	0x00000001001b4c9d =
ns_draw_glyph_string + 1437
11  Emacs-x86_64-10_9             	0x0000000100038f84 draw_glyphs + =
15380
12  Emacs-x86_64-10_9             	0x0000000100035306 =
x_write_glyphs + 166
13  Emacs-x86_64-10_9             	0x000000010000a99e =
update_window_line + 670
14  Emacs-x86_64-10_9             	0x000000010000682c update_window =
+ 4620
15  Emacs-x86_64-10_9             	0x0000000100004fe4 =
update_window_tree + 132
16  Emacs-x86_64-10_9             	0x0000000100004e3d update_frame =
+ 125
17  Emacs-x86_64-10_9             	0x0000000100026cde =
redisplay_internal + 7086
18  Emacs-x86_64-10_9             	0x00000001000c050b read_char + =
1947
19  Emacs-x86_64-10_9             	0x00000001000bdc43 =
read_key_sequence + 1859
20  Emacs-x86_64-10_9             	0x00000001000bd2d4 =
command_loop_1 + 5188
21  Emacs-x86_64-10_9             	0x00000001001384ab =
internal_condition_case + 251
22  Emacs-x86_64-10_9             	0x00000001000cd71e =
command_loop_2 + 62
23  Emacs-x86_64-10_9             	0x0000000100137e43 =
internal_catch + 243
24  Emacs-x86_64-10_9             	0x00000001000bb45d =
recursive_edit_1 + 221
25  Emacs-x86_64-10_9             	0x00000001000bb60c =
Frecursive_edit + 236
26  Emacs-x86_64-10_9             	0x00000001000ba257 main + 5831
27  libdyld.dylib                 	0x00007fff8f2aa5fd start + 1

Thread 1:: Dispatch queue: com.apple.libdispatch-manager
0   libsystem_kernel.dylib        	0x00007fff9314a662 kevent64 + 10
1   libdispatch.dylib             	0x00007fff8f762421 =
_dispatch_mgr_invoke + 239
2   libdispatch.dylib             	0x00007fff8f762136 =
_dispatch_mgr_thread + 52

Thread 2:
0   libsystem_kernel.dylib        	0x00007fff93149e6a =
__workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff8e7c4f08 =
_pthread_wqthread + 330
2   libsystem_pthread.dylib       	0x00007fff8e7c7fb9 =
start_wqthread + 13

Thread 3:
0   libsystem_kernel.dylib        	0x00007fff931499aa __select + 10
1   Emacs-x86_64-10_9             	0x00000001001a87a8 -[EmacsApp =
fd_handler:] + 264
2   com.apple.Foundation          	0x00007fff8eca5dfb =
__NSThread__main__ + 1318
3   libsystem_pthread.dylib       	0x00007fff8e7c3899 _pthread_body =
+ 138
4   libsystem_pthread.dylib       	0x00007fff8e7c372a =
_pthread_start + 137
5   libsystem_pthread.dylib       	0x00007fff8e7c7fc9 thread_start =
+ 13

Thread 4:
0   libsystem_kernel.dylib        	0x00007fff93149e6a =
__workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff8e7c4f08 =
_pthread_wqthread + 330
2   libsystem_pthread.dylib       	0x00007fff8e7c7fb9 =
start_wqthread + 13

Thread 5:
0   libsystem_kernel.dylib        	0x00007fff93145a1a mach_msg_trap =
+ 10
1   libsystem_kernel.dylib        	0x00007fff93144d18 mach_msg + 64
2   com.apple.CoreFoundation      	0x00007fff875ebf15 =
__CFRunLoopServiceMachPort + 181
3   com.apple.CoreFoundation      	0x00007fff875eb539 =
__CFRunLoopRun + 1161
4   com.apple.CoreFoundation      	0x00007fff875eae75 =
CFRunLoopRunSpecific + 309
5   com.apple.AppKit              	0x00007fff8b99b05e =
_NSEventThread + 144
6   libsystem_pthread.dylib       	0x00007fff8e7c3899 _pthread_body =
+ 138
7   libsystem_pthread.dylib       	0x00007fff8e7c372a =
_pthread_start + 137
8   libsystem_pthread.dylib       	0x00007fff8e7c7fc9 thread_start =
+ 13

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x0000000000000006  rcx: =
0x00007fff5fbfb9e8  rdx: 0x0000000000000000
  rdi: 0x00000000000140c3  rsi: 0x0000000000000006  rbp: =
0x00007fff5fbfba10  rsp: 0x00007fff5fbfb9e8
   r8: 0x0000000100700000   r9: 0x0000000000000bba  r10: =
0x00007fff93149896  r11: 0x0000000000000206
  r12: 0x000000010053b690  r13: 0x000000010053b630  r14: =
0x0000000000000028  r15: 0x0000000000000020
  rip: 0x00007fff93149292  rfl: 0x0000000000000206  cr2: =
0x0000000102edc062
 =20
Logical CPU:     0
Error Code:      0x02000025
Trap Number:     133


Binary Images:
       0x100000000 -        0x10020cff7 +Emacs-x86_64-10_9 (0) =
<EE9FC5BA-F10D-36F4-900F-C051364B4501> =
/Applications/Emacs.app/Contents/MacOS/Emacs-x86_64-10_9
       0x1010fd000 -        0x1010fdff9 +cl_kernels (???) =
<22F3D8AC-4D32-4F84-9030-3EAA9E473F37> cl_kernels
       0x1017e0000 -        0x1017e1ff4 +cl_kernels (???) =
<25D36FAE-4B18-405E-859E-A7143B0DBC78> cl_kernels
       0x102ef1000 -        0x102ef5ffd  libFontRegistryUI.dylib (127) =
<57DE4E73-B65B-3712-9815-81018E72501A> =
/System/Library/Frameworks/ApplicationServices.framework/Frameworks/ATS.fr=
amework/Resources/libFontRegistryUI.dylib
       0x106e33000 -        0x106e33fff +cl_kernels (???) =
<8AD221A6-AE6B-4DBE-A774-45F2CC74DD59> cl_kernels
       0x109d2c000 -        0x109e12fef  unorm8_bgra.dylib (2.3.58) =
<280D6FDD-8CA5-36EC-9EA1-D7DC09598E20> =
/System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/ImageForm=
ats/unorm8_bgra.dylib
       0x10a12e000 -        0x10a20eff7  unorm8_rgba.dylib (2.3.58) =
<8252DC3E-7434-34C6-B4B9-CFD59B923D12> =
/System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/ImageForm=
ats/unorm8_rgba.dylib
    0x7fff69778000 -     0x7fff697ab817  dyld (239.4) =
<7AD43B9B-5CEA-3C7E-9836-A06909F9CA56> /usr/lib/dyld
    0x7fff87028000 -     0x7fff8702afff  libCVMSPluginSupport.dylib =
(9.6.1) <FB37F4C4-1E84-3349-BB03-92CA0A5F6837> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPl=
uginSupport.dylib
    0x7fff8702b000 -     0x7fff87038ff7  libxar.1.dylib (202) =
<5572AA71-E98D-3FE1-9402-BB4A84E0E71E> /usr/lib/libxar.1.dylib
    0x7fff87508000 -     0x7fff87538fff  com.apple.IconServices (25 - =
25.17) <4751127E-FBD5-3ED5-8510-08D4E4166EFE> =
/System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconSe=
rvices
    0x7fff87579000 -     0x7fff8757afff  libsystem_sandbox.dylib =
(278.11.1) <0D0B13EA-6B7A-3AC8-BE60-B548543BEB77> =
/usr/lib/system/libsystem_sandbox.dylib
    0x7fff8757b000 -     0x7fff87760fff  com.apple.CoreFoundation (6.9 - =
855.17) <729BD6DA-1F63-3E72-A148-26F21EBF52BB> =
/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundat=
ion
    0x7fff88025000 -     0x7fff880b0ff7  libCoreStorage.dylib (380.70.2) =
<BD993BC8-ED54-3DC1-B28B-3B6AC77E8E5C> /usr/lib/libCoreStorage.dylib
    0x7fff880b1000 -     0x7fff880beff4  com.apple.Librarian (1.2 - 1) =
<F1A2744D-8536-32C7-8218-9972C6300DAE> =
/System/Library/PrivateFrameworks/Librarian.framework/Versions/A/Librarian=

    0x7fff8812a000 -     0x7fff88a49797  com.apple.CoreGraphics (1.600.0 =
- 599.35.4) <C8CBC664-0CD2-3C7D-A301-9B3BA731250C> =
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff88d76000 -     0x7fff88d83ff0  libbz2.1.0.dylib (29) =
<0B98AC35-B138-349C-8063-2B987A75D24C> /usr/lib/libbz2.1.0.dylib
    0x7fff88d84000 -     0x7fff88da8ff7  libJPEG.dylib (1044) =
<BE0ED4E1-F7FC-3038-86D3-0456DD173FCB> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.=
dylib
    0x7fff89592000 -     0x7fff895d1fff  libGLU.dylib (9.6.1) =
<AE032555-3E2F-3DBF-A26D-EA4576061605> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dy=
lib
    0x7fff895d2000 -     0x7fff89636fff  com.apple.datadetectorscore =
(5.0 - 354.5) <0AE9749A-6BFC-3032-B802-210DF59AEDB0> =
/System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/D=
ataDetectorsCore
    0x7fff89637000 -     0x7fff896c7ff7  com.apple.Metadata (10.7.0 - =
800.28) <E85AEB1B-CB17-38BC-B5C6-AAB50B47AF05> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Me=
tadata.framework/Versions/A/Metadata
    0x7fff896c8000 -     0x7fff89701ff7  com.apple.QD (3.50 - 298) =
<C1F20764-DEF0-34CF-B3AB-AB5480D64E66> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/QD.framework/Versions/A/QD
    0x7fff89710000 -     0x7fff89710ffd  libOpenScriptingUtil.dylib =
(157) <19F0E769-0989-3062-9AFB-8976E90E9759> =
/usr/lib/libOpenScriptingUtil.dylib
    0x7fff89774000 -     0x7fff89775fff  com.apple.TrustEvaluationAgent =
(2.0 - 25) <334A82F4-4AE4-3719-A511-86D0B0723E2B> =
/System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/=
A/TrustEvaluationAgent
    0x7fff89783000 -     0x7fff897befff  com.apple.bom (14.0 - 193.1) =
<EF24A562-6D3C-379E-8B9B-FAE0E4A0EF7C> =
/System/Library/PrivateFrameworks/Bom.framework/Versions/A/Bom
    0x7fff897bf000 -     0x7fff897bffff  com.apple.ApplicationServices =
(48 - 48) <3E3F01A8-314D-378F-835E-9CC4F8820031> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Applic=
ationServices
    0x7fff897fa000 -     0x7fff89801fff  libcompiler_rt.dylib (35) =
<4CD916B2-1B17-362A-B403-EF24A1DAC141> =
/usr/lib/system/libcompiler_rt.dylib
    0x7fff89802000 -     0x7fff8982bff7  libc++abi.dylib (49.1) =
<21A807D3-6732-3455-B77F-743E9F916DF0> /usr/lib/libc++abi.dylib
    0x7fff8982c000 -     0x7fff89871fff  libcurl.4.dylib (78.94.1) =
<88F27F9B-052E-3375-938D-2603E90D8AD5> /usr/lib/libcurl.4.dylib
    0x7fff898c4000 -     0x7fff899aefff  libsqlite3.dylib (158) =
<00269BF9-43BE-39E0-9C85-24585B9923C8> /usr/lib/libsqlite3.dylib
    0x7fff89a34000 -     0x7fff89a5cffb  libRIP.A.dylib (599.35.4) =
<F3C60582-1F27-335D-9C97-8CF307670F7B> =
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/lib=
RIP.A.dylib
    0x7fff89a5d000 -     0x7fff89a5eff7  libSystem.B.dylib (1197.1.1) =
<E303F2F8-A8CF-3DF3-84B3-F2D0EE41CCF6> /usr/lib/libSystem.B.dylib
    0x7fff89a5f000 -     0x7fff89d33fc7  com.apple.vImage (7.0 - 7.0) =
<D241DBFA-AC49-31E2-893D-EAAC31890C90> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vIma=
ge.framework/Versions/A/vImage
    0x7fff89d34000 -     0x7fff89d41fff  com.apple.Sharing (132.2 - =
132.2) <F983394A-226D-3244-B511-FA51FDB6ADDA> =
/System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing
    0x7fff89d42000 -     0x7fff89d4cfff  libcommonCrypto.dylib (60049) =
<8C4F0CA0-389C-3EDC-B155-E62DD2187E1D> =
/usr/lib/system/libcommonCrypto.dylib
    0x7fff89d4d000 -     0x7fff89d4fff3  libsystem_configuration.dylib =
(596.15) <4998CB6A-9D54-390A-9F57-5D1AC53C135C> =
/usr/lib/system/libsystem_configuration.dylib
    0x7fff89d76000 -     0x7fff89d7aff7  libGIF.dylib (1044) =
<7E51DFC3-740A-3CD3-98A1-1EC510A4A055> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.d=
ylib
    0x7fff89d7b000 -     0x7fff89d80fff  com.apple.DiskArbitration (2.6 =
- 2.6) <A4165553-770E-3D27-B217-01FC1F852B87> =
/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitr=
ation
    0x7fff89d81000 -     0x7fff89dcfff7  com.apple.opencl (2.3.59 - =
2.3.59) <9F43F471-C3C3-352D-889D-EC418DC1F5B2> =
/System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff89dd6000 -     0x7fff89ddcfff  com.apple.AOSNotification =
(1.7.0 - 760.3) <7901B867-60F7-3645-BB3E-18C51A6FBCC6> =
/System/Library/PrivateFrameworks/AOSNotification.framework/Versions/A/AOS=
Notification
    0x7fff89ddd000 -     0x7fff89e30fff  com.apple.ScalableUserInterface =
(1.0 - 1) <CF745298-7373-38D2-B3B1-727D5A569E48> =
/System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/Scal=
ableUserInterface.framework/Versions/A/ScalableUserInterface
    0x7fff89e33000 -     0x7fff89f17ff7  com.apple.coreui (2.2 - 231.1) =
<187DF89C-8A64-366D-8782-F90315FA3CD7> =
/System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff89f18000 -     0x7fff89f18fff  com.apple.Accelerate (1.9 - =
Accelerate 1.9) <509BB27A-AE62-366D-86D8-0B06D217CF56> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff89f19000 -     0x7fff89f1dff7  libsystem_stats.dylib (93.90.3) =
<4E51D5B0-92A0-3D0D-B90E-495A1ED3E391> =
/usr/lib/system/libsystem_stats.dylib
    0x7fff89f1e000 -     0x7fff89fefff1  com.apple.DiskImagesFramework =
(10.9 - 371.1) <DCCAADEC-35D5-3968-8B39-358ACC56ADC4> =
/System/Library/PrivateFrameworks/DiskImages.framework/Versions/A/DiskImag=
es
    0x7fff8a05a000 -     0x7fff8a086fff  com.apple.CoreServicesInternal =
(184.9 - 184.9) <4DEA54F9-81D6-3EDB-AA3C-1F9C497B3379> =
/System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/=
A/CoreServicesInternal
    0x7fff8a087000 -     0x7fff8a096ff8  com.apple.LangAnalysis (1.7.0 - =
1.7.0) <8FE131B6-1180-3892-98F5-C9C9B79072D4> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff8a0b3000 -     0x7fff8a0b6fff  libCoreVMClient.dylib (58.1) =
<EBC36C69-C896-3C3D-8589-3E9023E7E56F> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVM=
Client.dylib
    0x7fff8a0ce000 -     0x7fff8a1bcfff  libJP2.dylib (1044) =
<BE5FF765-5ECE-38B5-BF5D-BE806F5CAD18> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.d=
ylib
    0x7fff8a1d3000 -     0x7fff8a1e3ffb  libsasl2.2.dylib (170) =
<C8E25710-68B6-368A-BF3E-48EC7273177B> /usr/lib/libsasl2.2.dylib
    0x7fff8a1e4000 -     0x7fff8a1ffff7  libsystem_malloc.dylib =
(23.10.1) <A695B4E4-38E9-332E-A772-29D31E3F1385> =
/usr/lib/system/libsystem_malloc.dylib
    0x7fff8a5a0000 -     0x7fff8a5aaff7  com.apple.CrashReporterSupport =
(10.9 - 539) <B25A09EC-A021-32EC-86F8-05B4837E0EDE> =
/System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/=
A/CrashReporterSupport
    0x7fff8a5ab000 -     0x7fff8a5afff7  libcache.dylib (62) =
<BDC1E65B-72A1-3DA3-A57C-B23159CAAD0B> /usr/lib/system/libcache.dylib
    0x7fff8a5bf000 -     0x7fff8a5fdff7  libGLImage.dylib (9.6.1) =
<5E02B38C-9F36-39BE-8746-724F0D8BBFC0> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImag=
e.dylib
    0x7fff8a5fe000 -     0x7fff8a606ffc  libGFXShared.dylib (9.6.1) =
<25BBF325-AC57-3BAA-9427-2D14CC243AE6> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXSha=
red.dylib
    0x7fff8a607000 -     0x7fff8a611ff7  libcsfde.dylib (380.70.2) =
<3ACB87D7-A81C-3C45-B648-AD27F1B9D841> /usr/lib/libcsfde.dylib
    0x7fff8a612000 -     0x7fff8a641fff  com.apple.DebugSymbols (106 - =
106) <E1BDED08-523A-36F4-B2DA-9D5C712F0AC7> =
/System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugS=
ymbols
    0x7fff8a642000 -     0x7fff8a6aefff  com.apple.framework.IOKit =
(2.0.1 - 907.100.13) <057FDBA3-56D6-3903-8C0B-849214BF1985> =
/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff8a81e000 -     0x7fff8a839ff7  libCRFSuite.dylib (34) =
<FFAE75FA-C54E-398B-AA97-18164CD9789D> /usr/lib/libCRFSuite.dylib
    0x7fff8a83a000 -     0x7fff8a8fcff5  com.apple.CoreText (367.20 - =
367.20) <B80D086D-93A9-3C35-860E-9C3FDD027F3B> =
/System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff8af6c000 -     0x7fff8afa1ffc  com.apple.LDAPFramework (2.4.28 =
- 194.5) <4ADD0595-25B9-3F09-897E-3FB790AD2C5A> =
/System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
    0x7fff8afb4000 -     0x7fff8afb6fff  com.apple.EFILogin (2.0 - 2) =
<C360E8AF-E9BB-3BBA-9DF0-57A92CEF00D4> =
/System/Library/PrivateFrameworks/EFILogin.framework/Versions/A/EFILogin
    0x7fff8b1ab000 -     0x7fff8b1adff7  libquarantine.dylib (71) =
<7A1A2BCB-C03D-3A25-BFA4-3E569B2D2C38> =
/usr/lib/system/libquarantine.dylib
    0x7fff8b28a000 -     0x7fff8b2dbff7  com.apple.audio.CoreAudio =
(4.2.1 - 4.2.1) <BE13E840-FB45-3BC2-BCF5-031629754FD5> =
/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff8b301000 -     0x7fff8b331fff  libncurses.5.4.dylib (42) =
<BF763D62-9149-37CB-B1D2-F66A2510E6DD> /usr/lib/libncurses.5.4.dylib
    0x7fff8b713000 -     0x7fff8b79cff7  libsystem_c.dylib (997.90.3) =
<6FD3A400-4BB2-3B95-B90C-BE6E9D0D78FA> /usr/lib/system/libsystem_c.dylib
    0x7fff8b79d000 -     0x7fff8b7a6ffb  libCGInterfaces.dylib (271) =
<68EFBEFE-7506-3235-99A2-5B69EDBFD7B8> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vIma=
ge.framework/Versions/A/Resources/libCGInterfaces.dylib
    0x7fff8b7a7000 -     0x7fff8b7d6ff9  com.apple.GSS (4.0 - 2.0) =
<44E914BE-B0D0-3E05-9451-CA9E539AFA52> =
/System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff8b7d7000 -     0x7fff8c34dff7  com.apple.AppKit (6.9 - =
1265.21) <9DC13B27-841D-3839-93B2-3EDE66157BDE> =
/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff8c42e000 -     0x7fff8c43fff7  libz.1.dylib (53) =
<42E0C8C6-CA38-3CA4-8619-D24ED5DD492E> /usr/lib/libz.1.dylib
    0x7fff8c449000 -     0x7fff8c496ff2  =
com.apple.print.framework.PrintCore (9.0 - 428) =
<8D8253E3-302F-3DB2-9C5C-572CB974E8B3> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/PrintCore.framework/Versions/A/PrintCore
    0x7fff8c497000 -     0x7fff8c497ffd  com.apple.audio.units.AudioUnit =
(1.10 - 1.10) <68B21135-55A6-3563-A3D6-3E692A7DEB7F> =
/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fff8c498000 -     0x7fff8c4a0ff7  =
com.apple.speech.recognition.framework (4.2.4 - 4.2.4) =
<98BBB3E4-6239-3EF1-90B2-84EA0D3B8D61> =
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRe=
cognition.framework/Versions/A/SpeechRecognition
    0x7fff8c4a1000 -     0x7fff8c4aaffd  com.apple.CommonAuth (4.0 - =
2.0) <32BA436F-6319-3A0B-B5D2-2EB75FF36B5B> =
/System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAu=
th
    0x7fff8c4ab000 -     0x7fff8c592ff7  libxml2.2.dylib (26) =
<A1DADD11-89E5-3DE4-8802-07186225967F> /usr/lib/libxml2.2.dylib
    0x7fff8c593000 -     0x7fff8c602ff1  =
com.apple.ApplicationServices.ATS (360 - 363.3) =
<546E89D9-2AE7-3111-B2B8-2366650D22F0> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/ATS.framework/Versions/A/ATS
    0x7fff8c644000 -     0x7fff8c6b7fff  com.apple.securityfoundation =
(6.0 - 55122.3) <0FDC8F53-104C-3938-A852-5B33C30BAAD5> =
/System/Library/Frameworks/SecurityFoundation.framework/Versions/A/Securit=
yFoundation
    0x7fff8c6b8000 -     0x7fff8c713ffb  com.apple.AE (665.5 - 665.5) =
<BBA230F9-144C-3CAB-A77A-0621719244CD> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE=
.framework/Versions/A/AE
    0x7fff8c726000 -     0x7fff8c894ff7  libBLAS.dylib (1094.5) =
<DE93A590-5FA5-32A2-A16C-5D7D7361769F> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libBLAS.dylib
    0x7fff8c89c000 -     0x7fff8c89fffa  libCGXType.A.dylib (599.35.4) =
<A2B493FD-2EDE-3BC2-A281-2381E0156411> =
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/lib=
CGXType.A.dylib
    0x7fff8c9fb000 -     0x7fff8c9fcff7  =
libDiagnosticMessagesClient.dylib (100) =
<4CDB0F7B-C0AF-3424-BC39-495696F0DB1E> =
/usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff8cbe3000 -     0x7fff8cbeaff8  liblaunch.dylib (842.92.1) =
<A40A0C7B-3216-39B4-8AE0-B5D3BAF1DA8A> /usr/lib/system/liblaunch.dylib
    0x7fff8cbeb000 -     0x7fff8ccb6fff  libvDSP.dylib (423.32) =
<3BF732BE-DDE0-38EB-8C54-E4E3C64F77A7> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libvDSP.dylib
    0x7fff8ccb9000 -     0x7fff8d09affe  libLAPACK.dylib (1094.5) =
<7E7A9B8D-1638-3914-BAE0-663B69865986> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libLAPACK.dylib
    0x7fff8d0c2000 -     0x7fff8d186ff7  com.apple.backup.framework =
(1.5.4 - 1.5.4) <195DA868-47A5-37E6-8CF0-9BCF11846899> =
/System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
    0x7fff8d6aa000 -     0x7fff8d6b0ff7  libCGXCoreImage.A.dylib =
(599.35.4) <0A9F43CB-C01F-3A98-AAB3-1E08C65BCFB4> =
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/lib=
CGXCoreImage.A.dylib
    0x7fff8da4c000 -     0x7fff8dad5fff  com.apple.ColorSync (4.9.0 - =
4.9.0) <B756B908-9AD1-3F5D-83F9-7A0B068387D2> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/ColorSync.framework/Versions/A/ColorSync
    0x7fff8dc02000 -     0x7fff8dc27ff7  com.apple.ChunkingLibrary (2.0 =
- 155.1) <B845DC7A-D1EA-31E2-967C-D1FE0C628036> =
/System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/Chu=
nkingLibrary
    0x7fff8dc80000 -     0x7fff8dca7ffb  libsystem_info.dylib (449.1.3) =
<7D41A156-D285-3849-A2C3-C04ADE797D98> =
/usr/lib/system/libsystem_info.dylib
    0x7fff8dcab000 -     0x7fff8dcafff7  libheimdal-asn1.dylib =
(323.92.1) <CAE21FFF-5763-399C-B7C5-EEBFFEEF2242> =
/usr/lib/libheimdal-asn1.dylib
    0x7fff8dd6b000 -     0x7fff8dd94fff  com.apple.DictionaryServices =
(1.2 - 208) <A539A058-BA57-35EE-AA08-D0B0E835127D> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Di=
ctionaryServices.framework/Versions/A/DictionaryServices
    0x7fff8dd95000 -     0x7fff8dda1ff7  com.apple.OpenDirectory (10.9 - =
173.90.1) <F08601E8-F7E8-3222-AD05-6A26003779CF> =
/System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirector=
y
    0x7fff8dda2000 -     0x7fff8ddacff7  com.apple.bsd.ServiceManagement =
(2.0 - 2.0) <2D27B498-BB9C-3D88-B05A-76908A8A26F3> =
/System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceM=
anagement
    0x7fff8e40e000 -     0x7fff8e4eafff  libcrypto.0.9.8.dylib (52) =
<ED7F3865-10D4-346B-8C9C-D968EB3B5D35> /usr/lib/libcrypto.0.9.8.dylib
    0x7fff8e4eb000 -     0x7fff8e51afd2  libsystem_m.dylib (3047.16) =
<B7F0E2E4-2777-33FC-A787-D6430B630D54> /usr/lib/system/libsystem_m.dylib
    0x7fff8e51b000 -     0x7fff8e54ffff  libssl.0.9.8.dylib (52) =
<51C844FF-D7CD-3525-9ABB-84B8DD11D5E4> /usr/lib/libssl.0.9.8.dylib
    0x7fff8e550000 -     0x7fff8e556ff7  libsystem_platform.dylib =
(24.90.1) <3C3D3DA8-32B9-3243-98EC-D89B9A1670B3> =
/usr/lib/system/libsystem_platform.dylib
    0x7fff8e557000 -     0x7fff8e79fff7  com.apple.CoreData (107 - =
481.3) <E78734AA-E3D0-33CB-A014-620BBCAB2E96> =
/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff8e7c2000 -     0x7fff8e7c9ff7  libsystem_pthread.dylib =
(53.1.4) <AB498556-B555-310E-9041-F67EC9E00E2C> =
/usr/lib/system/libsystem_pthread.dylib
    0x7fff8e7ca000 -     0x7fff8e7cbffb  libremovefile.dylib (33) =
<3543F917-928E-3DB2-A2F4-7AB73B4970EF> =
/usr/lib/system/libremovefile.dylib
    0x7fff8e7eb000 -     0x7fff8ec1effb  com.apple.vision.FaceCore =
(3.0.0 - 3.0.0) <F42BFC9C-0B16-35EF-9A07-91B7FDAB7FC5> =
/System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
    0x7fff8ec1f000 -     0x7fff8ec3bfff  libresolv.9.dylib (54) =
<11C2C826-F1C6-39C6-B4E8-6E0C41D4FA95> /usr/lib/libresolv.9.dylib
    0x7fff8ec3c000 -     0x7fff8ec3effb  libutil.dylib (34) =
<DAC4A6CF-A1BB-3874-9569-A919316D30E8> /usr/lib/libutil.dylib
    0x7fff8ec3f000 -     0x7fff8ef3fff7  com.apple.Foundation (6.9 - =
1056.16) <24349208-3603-3F5D-95CC-B379616FBEF8> =
/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff8ef40000 -     0x7fff8ef98ff7  com.apple.Symbolication (1.4 - =
129.0.2) <B1F008C4-184D-36A2-922F-4A67A075D512> =
/System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbo=
lication
    0x7fff8efbc000 -     0x7fff8f2a6fff  =
com.apple.CoreServices.CarbonCore (1077.17 - 1077.17) =
<3A2E92FD-DEE2-3D45-9619-11500801A61C> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Ca=
rbonCore.framework/Versions/A/CarbonCore
    0x7fff8f2a7000 -     0x7fff8f2aaff7  libdyld.dylib (239.4) =
<7C9EC3B7-DDE3-33FF-953F-4067C743951D> /usr/lib/system/libdyld.dylib
    0x7fff8f2ab000 -     0x7fff8f2c4ff7  com.apple.Ubiquity (1.3 - 289) =
<C7F1B734-CE81-334D-BE41-8B20D95A1F9B> =
/System/Library/PrivateFrameworks/Ubiquity.framework/Versions/A/Ubiquity
    0x7fff8f30d000 -     0x7fff8f370ffb  com.apple.SystemConfiguration =
(1.13.1 - 1.13.1) <2C8E1A73-5AD6-3A7D-8ED8-D6755555A993> =
/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/System=
Configuration
    0x7fff8f636000 -     0x7fff8f6adfff  =
com.apple.CoreServices.OSServices (600.4 - 600.4) =
<C63562F5-6DF5-3EE9-8897-FF61A44C8251> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OS=
Services.framework/Versions/A/OSServices
    0x7fff8f6ae000 -     0x7fff8f75eff7  libvMisc.dylib (423.32) =
<049C0735-1808-39B9-943F-76CB8021744F> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libvMisc.dylib
    0x7fff8f75f000 -     0x7fff8f779fff  libdispatch.dylib (339.92.1) =
<C4E4A18D-3C3B-3C9C-8709-A4270D998DE7> /usr/lib/system/libdispatch.dylib
    0x7fff8f791000 -     0x7fff8f7d8ff7  libcups.2.dylib (372.4) =
<36EA4350-43B4-3A5C-9904-10685BFDA7D4> /usr/lib/libcups.2.dylib
    0x7fff8f7f3000 -     0x7fff8f8e2fff  libFontParser.dylib (111.1) =
<835A8253-6AB9-3AAB-9CBF-171440DEC486> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fff8f8e3000 -     0x7fff8fbb4ff4  com.apple.CoreImage (9.4.0) =
<2C636ECD-0F1A-357C-9EFF-0452476FDDF5> =
/System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/Core=
Image.framework/Versions/A/CoreImage
    0x7fff8fc2d000 -     0x7fff8fddaf27  libobjc.A.dylib (551.1) =
<AD7FD984-271E-30F4-A361-6B20319EC73B> /usr/lib/libobjc.A.dylib
    0x7fff8fddb000 -     0x7fff8fe13ff7  com.apple.RemoteViewServices =
(2.0 - 94) <3F34D630-3DDB-3411-BC28-A56A9B55EBDA> =
/System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/=
RemoteViewServices
    0x7fff90c69000 -     0x7fff90c69ff7  libkeymgr.dylib (28) =
<3AA8D85D-CF00-3BD3-A5A0-E28E1A32A6D8> /usr/lib/system/libkeymgr.dylib
    0x7fff90cb4000 -     0x7fff90ce5fff  com.apple.MediaKit (15 - 709) =
<23E33409-5C39-3F93-9E73-2B0E9EE8883E> =
/System/Library/PrivateFrameworks/MediaKit.framework/Versions/A/MediaKit
    0x7fff90d39000 -     0x7fff90d44fff  libkxld.dylib (2422.115.4) =
<3C678B75-F7C5-3DBB-8DBD-48483AD54D5C> /usr/lib/system/libkxld.dylib
    0x7fff90d45000 -     0x7fff90eb5ff4  com.apple.CFNetwork (673.4 - =
673.4) <F3BF6020-99BE-3844-A7B8-352B93AD02F3> =
/System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff90eb6000 -     0x7fff90f1bffb  com.apple.Heimdal (4.0 - 2.0) =
<F34D6627-9F80-3823-8B57-DB629307DF87> =
/System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fff90f1c000 -     0x7fff910b8ff3  com.apple.QuartzCore (1.8 - =
332.3) <72003E51-1287-395B-BCBC-331597D45C5E> =
/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff9112d000 -     0x7fff911aefff  com.apple.CoreSymbolication =
(3.0.1 - 141.0.5) <20E484C4-9F0E-3DF6-BB27-D509859FF57A> =
/System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/C=
oreSymbolication
    0x7fff911af000 -     0x7fff911caff7  libPng.dylib (1044) =
<151BA92C-6E7C-3B69-8024-FDD1E2C89DD3> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.d=
ylib
    0x7fff91409000 -     0x7fff9140efff  libmacho.dylib (845) =
<1D2910DF-C036-3A82-A3FD-44FF73B5FF9B> /usr/lib/system/libmacho.dylib
    0x7fff91439000 -     0x7fff91444ff7  com.apple.NetAuth (5.0 - 5.0) =
<C811E662-9EC3-3B74-808A-A75D624F326B> =
/System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff91445000 -     0x7fff91446ff7  libsystem_blocks.dylib (63) =
<FB856CD1-2AEA-3907-8E9B-1E54B6827F82> =
/usr/lib/system/libsystem_blocks.dylib
    0x7fff9145e000 -     0x7fff914a3ff6  com.apple.HIServices (1.23 - =
468) <5970AF5C-F5BD-3B6A-97C9-95B2CA98D71D> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/HIServices.framework/Versions/A/HIServices
    0x7fff914cc000 -     0x7fff915fcff7  com.apple.desktopservices =
(1.8.3 - 1.8.3) <225BEC20-F8E0-3F22-9560-890A1A5B9050> =
/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A=
/DesktopServicesPriv
    0x7fff919dd000 -     0x7fff91a1fff7  libauto.dylib (185.5) =
<F45C36E8-B606-3886-B5B1-B6745E757CA8> /usr/lib/libauto.dylib
    0x7fff91a20000 -     0x7fff91a30fff  libbsm.0.dylib (33) =
<2CAC00A2-1352-302A-88FA-C567D4D69179> /usr/lib/libbsm.0.dylib
    0x7fff91adc000 -     0x7fff91ae3ffb  libcopyfile.dylib (103.92.1) =
<CF29DFF6-0589-3590-834C-82E2316612E8> /usr/lib/system/libcopyfile.dylib
    0x7fff91bd7000 -     0x7fff91bd7fff  com.apple.CoreServices (59 - =
59) <7A697B5E-F179-30DF-93F2-8B503CEEEFD5> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff91e24000 -     0x7fff91eb0ff7  com.apple.ink.framework (10.9 - =
207) <8A50B893-AD03-3826-8555-A54FEAF08F47> =
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.fram=
ework/Versions/A/Ink
    0x7fff91eb1000 -     0x7fff9210fff2  com.apple.RawCamera.bundle =
(5.06 - 753) <7315ED29-77A1-3990-9054-F00B96527C06> =
/System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
    0x7fff92160000 -     0x7fff921a1fff  com.apple.PerformanceAnalysis =
(1.47 - 47) <7B73DFF4-75DB-3403-80D2-0F3FE48764C3> =
/System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A=
/PerformanceAnalysis
    0x7fff921ad000 -     0x7fff921c4ff7  com.apple.CFOpenDirectory (10.9 =
- 173.90.1) <7BC0194E-1B40-3FCA-ACD2-235CE5D65DFA> =
/System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/C=
FOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff921c5000 -     0x7fff92319ff3  =
com.apple.audio.toolbox.AudioToolbox (1.10 - 1.10) =
<69B273E8-5A8E-3FC7-B807-C16B657662FE> =
/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff92327000 -     0x7fff92329fff  libRadiance.dylib (1044) =
<461482C9-CADB-3B36-B023-597C64AD4B00> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadia=
nce.dylib
    0x7fff9235a000 -     0x7fff9237fff7  com.apple.CoreVideo (1.8 - =
117.2) <4674339E-26D0-35FA-9958-422832B39B12> =
/System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff92380000 -     0x7fff9238cffb  com.apple.AppleFSCompression =
(56.92.1 - 1.0) <066255FD-DBD1-3041-8DDA-7AFC41C9096D> =
/System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/=
AppleFSCompression
    0x7fff92424000 -     0x7fff92448fff  libxpc.dylib (300.90.2) =
<AB40CD57-F454-3FD4-B415-63B3C0D5C624> /usr/lib/system/libxpc.dylib
    0x7fff92449000 -     0x7fff92452ff7  libcldcpuengine.dylib (2.3.58) =
<E3A84FEC-4060-39C2-A469-159A443D2B6D> =
/System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/libcldcpu=
engine.dylib
    0x7fff92f04000 -     0x7fff92f71fff  com.apple.SearchKit (1.4.0 - =
1.4.0) <B9B8D510-A27E-36B0-93E9-17146D9E9045> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Se=
archKit.framework/Versions/A/SearchKit
    0x7fff92f72000 -     0x7fff92f76fff  libpam.2.dylib (20) =
<B93CE8F5-DAA8-30A1-B1F6-F890509513CB> /usr/lib/libpam.2.dylib
    0x7fff92fc0000 -     0x7fff930c6ff7  com.apple.ImageIO.framework =
(3.3.0 - 1044) <3BCCF2AE-CF1F-3324-A371-DF0A42C841A2> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff930c8000 -     0x7fff930cdff7  libunwind.dylib (35.3) =
<78DCC358-2FC1-302E-B395-0155B47CB547> /usr/lib/system/libunwind.dylib
    0x7fff930e0000 -     0x7fff930e0fff  com.apple.Accelerate.vecLib =
(3.9 - vecLib 3.9) <F8D0CC77-98AC-3B58-9FE6-0C25421827B6> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/vecLib
    0x7fff930e1000 -     0x7fff93133fff  libc++.1.dylib (120) =
<4F68DFC5-2077-39A8-A449-CAC5FDEE7BDE> /usr/lib/libc++.1.dylib
    0x7fff93134000 -     0x7fff93150ff7  libsystem_kernel.dylib =
(2422.115.4) <9EDE872E-2A9E-3A78-8E1D-AB790794A098> =
/usr/lib/system/libsystem_kernel.dylib
    0x7fff93151000 -     0x7fff93158fff  com.apple.NetFS (6.0 - 4.0) =
<8E26C099-CE9D-3819-91A2-64EA929C6137> =
/System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff931cd000 -     0x7fff932beff9  libiconv.2.dylib (41) =
<BB44B115-AC32-3877-A0ED-AEC6232A4563> /usr/lib/libiconv.2.dylib
    0x7fff932bf000 -     0x7fff9330dfff  libcorecrypto.dylib (161.1) =
<F3973C28-14B6-3006-BB2B-00DD7F09ABC7> =
/usr/lib/system/libcorecrypto.dylib
    0x7fff9330e000 -     0x7fff933c6ff7  com.apple.DiscRecording (8.0 - =
8000.4.6) <CDAAAD04-A1D0-3C67-ABCC-EFC9E8D44E7E> =
/System/Library/Frameworks/DiscRecording.framework/Versions/A/DiscRecordin=
g
    0x7fff934ae000 -     0x7fff934b1fff  com.apple.TCC (1.0 - 1) =
<32A075D9-47FD-3E71-95BC-BFB0D583F41C> =
/System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fff938a2000 -     0x7fff938adfff  libGL.dylib (9.6.1) =
<4B65BF9F-F34A-3CD1-94E8-DB26DAA0A59D> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dyl=
ib
    0x7fff93931000 -     0x7fff93b95ffd  com.apple.security (7.0 - =
55471.14.18) <83A9E8C8-06A1-3F6D-8514-C35CD0DBD370> =
/System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff93bd8000 -     0x7fff93be1fff  =
com.apple.speech.synthesis.framework (4.7.1 - 4.7.1) =
<383FB557-E88E-3239-82B8-15F9F885B702> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff93c10000 -     0x7fff93c29ff7  com.apple.Kerberos (3.0 - 1) =
<F108AFEB-198A-3BAF-BCA5-9DFCE55EFF92> =
/System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff93d5a000 -     0x7fff93d6bff7  libsystem_asl.dylib (217.1.4) =
<655FB343-52CF-3E2F-B14D-BEBF5AAEF94D> =
/usr/lib/system/libsystem_asl.dylib
    0x7fff93f5e000 -     0x7fff93f86ffb  libxslt.1.dylib (13) =
<C9794936-633C-3F0C-9E71-30190B9B41C1> /usr/lib/libxslt.1.dylib
    0x7fff93f9b000 -     0x7fff93f9cfff  liblangid.dylib (117) =
<9546E641-F730-3AB0-B3CD-E0E2FDD173D9> /usr/lib/liblangid.dylib
    0x7fff93f9d000 -     0x7fff93ff6fff  libTIFF.dylib (1044) =
<FBC5800B-7F34-3755-A44E-7B37B3E0B32E> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.=
dylib
    0x7fff93ff7000 -     0x7fff93fffff3  libCGCMS.A.dylib (599.35.4) =
<67AD122A-B8DA-3C05-8B8C-1939F5064FAE> =
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/lib=
CGCMS.A.dylib
    0x7fff9407e000 -     0x7fff94087ffb  libsystem_notify.dylib =
(121.20.1) <9B34B4FE-F5AD-3F09-A5F0-46AFF3571323> =
/usr/lib/system/libsystem_notify.dylib
    0x7fff94455000 -     0x7fff9445dfff  libsystem_dnssd.dylib =
(522.92.1) <17B03FFD-92C5-3282-9981-EBB28B456207> =
/usr/lib/system/libsystem_dnssd.dylib
    0x7fff94460000 -     0x7fff94618ffb  libicucore.A.dylib (511.35) =
<6F097DA7-147C-32A1-93D2-728A64CF0DC2> /usr/lib/libicucore.A.dylib
    0x7fff94691000 -     0x7fff946a9ff7  com.apple.GenerationalStorage =
(2.0 - 160.3) <64749B08-0212-3AC8-9B49-73D662B09304> =
/System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A=
/GenerationalStorage
    0x7fff946aa000 -     0x7fff946bcff7  =
com.apple.MultitouchSupport.framework (245.13.1 - 245.13.1) =
<38262B92-C63F-35A0-997D-AD2EBF2F8338> =
/System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/M=
ultitouchSupport
    0x7fff946bd000 -     0x7fff94704fff  libFontRegistry.dylib (127) =
<A77A0480-AA5D-3CC8-8B68-69985CD546DC> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff94764000 -     0x7fff9478bff7  libsystem_network.dylib (241.3) =
<8B1E1F1D-A5CC-3BAE-8B1E-ABC84337A364> =
/usr/lib/system/libsystem_network.dylib
    0x7fff94791000 -     0x7fff94794ffc  com.apple.IOSurface (91.1 - =
91.1) <D00EEB0C-8AA8-3986-90C1-C97B2486E8FA> =
/System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff94795000 -     0x7fff94796fff  libunc.dylib (28) =
<62682455-1862-36FE-8A04-7A6B91256438> /usr/lib/system/libunc.dylib
    0x7fff94920000 -     0x7fff9492efff  com.apple.opengl (9.6.1 - =
9.6.1) <B22FA400-5824-36AF-9945-5FEC31995A0E> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff9496e000 -     0x7fff94c18ff5  com.apple.HIToolbox (2.1.1 - =
698) <A388E773-AE7B-3FD1-8662-A98E6E24EA16> =
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbo=
x.framework/Versions/A/HIToolbox
    0x7fff94c19000 -     0x7fff94ce3ff7  com.apple.LaunchServices =
(572.28 - 572.28) <FC72C089-A069-3374-B80A-E041AF149F24> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/La=
unchServices.framework/Versions/A/LaunchServices

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 1
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 223684
    thread_create: 1
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=3D165.2M resident=3D56.9M(34%) =
swapped_out_or_unallocated=3D108.3M(66%)
Writable regions: Total=3D130.2M written=3D19.1M(15%) =
resident=3D32.3M(25%) swapped_out=3D228K(0%) unallocated=3D97.9M(75%)
=20
REGION TYPE                      VIRTUAL
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D                      =3D=3D=3D=3D=3D=3D=3D=

ATS (font support)                 32.1M
ATS (font support) (reserved)         4K        reserved VM address =
space (unallocated)
CG backing stores                  1364K
CG image                             92K
CG raster data                      132K
CG shared images                    212K
CoreImage                            72K
Dispatch continuations             8192K
Image IO                            212K
Kernel Alloc Once                     8K
MALLOC                             49.0M
MALLOC (admin)                       32K
Memory Tag 242                       12K
Memory Tag 251                        8K
OpenCL                               28K
STACK GUARD                        55.7M
Stack                              10.4M
VM_ALLOCATE                        16.4M
__DATA                             41.8M
__IMAGE                             528K
__LINKEDIT                         67.2M
__TEXT                             98.0M
__UNICODE                           544K
mapped file                        57.4M
shared memory                         4K
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D                      =3D=3D=3D=3D=3D=3D=3D=

TOTAL                             439.0M
TOTAL, minus reserved VM space    439.0M
=20

Model: MacBookPro6,2, BootROM MBP61.0057.B0F, 2 processors, Intel Core =
i5, 2.4 GHz, 8 GB, SMC 1.58f17
Graphics: Intel HD Graphics, Intel HD Graphics, Built-In, 288 MB
Graphics: NVIDIA GeForce GT 330M, NVIDIA GeForce GT 330M, PCIe, 256 MB
Memory Module: BANK 0/DIMM0, 4 GB, DDR3, 1067 MHz, 0x02BA, -
Memory Module: BANK 1/DIMM0, 4 GB, DDR3, 1067 MHz, 0x02BA, -
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x93), =
Broadcom BCM43xx 1.0 (5.106.98.100.22)
Bluetooth: Version 4.2.7f3 14616, 3 services, 23 devices, 1 incoming =
serial ports
Network Service: AirPort, AirPort, en1
Serial ATA Device: Hitachi HTS545032B9SA02, 320.07 GB
Serial ATA Device: MATSHITADVD-R   UJ-898
USB Device: Hub
USB Device: Apple Internal Keyboard / Trackpad
USB Device: Internal Memory Card Reader
USB Device: BRCM2070 Hub
USB Device: Bluetooth USB Host Controller
USB Device: Hub
USB Device: Hub
USB Device: Keyboard Hub
USB Device: Apple Keyboard
USB Device: Apple Cinema HD Display
USB Device: Built-in iSight
USB Device: IR Receiver
Thunderbolt Bus:=20












Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18759; Package emacs. Full text available.

Message received at 18759 <at> debbugs.gnu.org:


Received: (at 18759) by debbugs.gnu.org; 18 Oct 2014 13:00:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 18 09:00:20 2014
Received: from localhost ([127.0.0.1]:48011 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XfTcJ-0004Fw-Ej
	for submit <at> debbugs.gnu.org; Sat, 18 Oct 2014 09:00:20 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:50940)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1XfTcG-0004Fm-4n
 for 18759 <at> debbugs.gnu.org; Sat, 18 Oct 2014 09:00:16 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0NDN0020050WKW00@HIDDEN> for 18759 <at> debbugs.gnu.org;
 Sat, 18 Oct 2014 16:00:14 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NDN002SU5G8DB30@HIDDEN>;
 Sat, 18 Oct 2014 16:00:09 +0300 (IDT)
Date: Sat, 18 Oct 2014 15:59:54 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18759: 24.3.94; Yank from clipboard crashes
In-reply-to: <A23C11C6-8197-434F-A64A-0D3C5CEF95ED@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Jan =?utf-8?Q?Dj=C3=A4rv?= <jan.h.d@HIDDEN>
Message-id: <83h9z1edo5.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <72041AB1-3DEF-44EF-B252-9270B6082BA6@HIDDEN>
 <83siilexen.fsf@HIDDEN> <4C067D86-5094-41F1-95A8-B8C8C7FF0009@HIDDEN>
 <83r3y5etj8.fsf@HIDDEN> <871tq5g7fy.fsf@HIDDEN>
 <A23C11C6-8197-434F-A64A-0D3C5CEF95ED@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18759
Cc: 18759 <at> debbugs.gnu.org, flexibeast@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Jan Djärv <jan.h.d@HIDDEN>
> Date: Sat, 18 Oct 2014 14:48:32 +0200
> Cc: 18759 <at> debbugs.gnu.org
> 
> Hello.
> 
> 18 okt 2014 kl. 09:27 skrev Alexis <flexibeast@HIDDEN>:
> 
> > i think this 'soft return' might be '\v' / ASCII code 11, 'vertical tab'
> > / Unicode 0x000B, 'LINE TABULATION' .... But i'm not on a Darwin system,
> > myself.
> 
> It is not.  This is from emacs 24, which does not crash for me, nor does trunk:
> 
>              position: 205 of 209 (98%), column: 6
>             character: 
 (displayed as 
) (codepoint 8232, #o20050, #x2028)

Oh, the LINE SEPARATOR character.

Yes, it doesn't crash for me, either.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18759; Package emacs. Full text available.

Message received at 18759 <at> debbugs.gnu.org:


Received: (at 18759) by debbugs.gnu.org; 18 Oct 2014 12:51:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 18 08:51:01 2014
Received: from localhost ([127.0.0.1]:47998 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XfTTJ-0003zu-CF
	for submit <at> debbugs.gnu.org; Sat, 18 Oct 2014 08:51:01 -0400
Received: from mailfe04.swip.net ([212.247.154.97]:49600 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1XfTTG-0003zi-Sk
 for 18759 <at> debbugs.gnu.org; Sat, 18 Oct 2014 08:50:59 -0400
X-T2-Spam-Status: No, hits=-0.0 required=5.0 tests=BAYES_20
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe04.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 539433560; Sat, 18 Oct 2014 14:50:57 +0200
Content-Type: text/plain; charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 7.3 \(1878.6\))
Subject: Re: bug#18759: 24.3.94; Yank from clipboard crashes
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <4C067D86-5094-41F1-95A8-B8C8C7FF0009@HIDDEN>
Date: Sat, 18 Oct 2014 14:50:55 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <00D0D627-0374-4140-8641-C7AA7091C59C@HIDDEN>
References: <72041AB1-3DEF-44EF-B252-9270B6082BA6@HIDDEN>
 <83siilexen.fsf@HIDDEN> <4C067D86-5094-41F1-95A8-B8C8C7FF0009@HIDDEN>
To: Donald Tillman <don@HIDDEN>
X-Mailer: Apple Mail (2.1878.6)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 18759
Cc: Eli Zaretskii <eliz@HIDDEN>, 18759 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello.

18 okt 2014 kl. 08:18 skrev Donald Tillman <don@HIDDEN>:

>=20
> On Oct 17, 2014, at 10:53 PM, Eli Zaretskii <eliz@HIDDEN> wrote:
>=20
>>> From: Donald Tillman <don@HIDDEN>
>>> Date: Fri, 17 Oct 2014 21:25:47 -0700
>>>=20
>>> Use command-C to copy text from a Pages document, and then yank it =
into
>>> an Emacs buffer with C-y.
>>>=20
>>> Normally this works fine.  But if the Pages text content includes a
>>> shift-return character then the yank crashes Emacs.
>>=20
>> What is a "shift-return character"?  Can you tell its Unicode
>> codepoint?
>>=20
>> Also, can you run under GDB and show the backtrace from the crash?
>=20
>=20
> (Wow, that's fast!)
>=20
> Sorry, I'm not set up for gdb right now.
>=20

Don't you get a crash window?
Did you compile Emacs yourself, or did you get it from somewhere?

	Jan D.

> It's also called a Soft Return.  If you are typing out text in Pages, =
the return key starts a new paragraph.  But typing shift-return starts a =
new line without starting a new paragraph.  The classic case is typing a =
postal address; you want to start new lines without creating new =
paragraphs. =20
>=20
> If you select a region that includes a soft return, Pages displays it =
as a little blue return arrow icon.=20
>=20
> Checking...
>=20
> The same thing happens with soft returns in Keynote.
>=20
> TextEdit doesn't seem to do soft returns.
>=20
>  -- Don
>=20
> --
> Don Tillman
> Palo Alto, California
> don@HIDDEN
> http://www.till.com
>=20
>=20
>=20
>=20
>=20
>=20





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18759; Package emacs. Full text available.

Message received at 18759 <at> debbugs.gnu.org:


Received: (at 18759) by debbugs.gnu.org; 18 Oct 2014 12:48:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 18 08:48:38 2014
Received: from localhost ([127.0.0.1]:47994 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XfTQz-0003w7-DG
	for submit <at> debbugs.gnu.org; Sat, 18 Oct 2014 08:48:38 -0400
Received: from mailfe07.swip.net ([212.247.154.193]:49862 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1XfTQw-0003vx-Mp
 for 18759 <at> debbugs.gnu.org; Sat, 18 Oct 2014 08:48:35 -0400
X-T2-Spam-Status: No, hits=-0.0 required=5.0 tests=BAYES_40
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe07.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 540178558; Sat, 18 Oct 2014 14:48:32 +0200
Content-Type: text/plain; charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 7.3 \(1878.6\))
Subject: Re: bug#18759: 24.3.94; Yank from clipboard crashes
From: =?utf-8?Q?Jan_Dj=C3=A4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <871tq5g7fy.fsf@HIDDEN>
Date: Sat, 18 Oct 2014 14:48:32 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <A23C11C6-8197-434F-A64A-0D3C5CEF95ED@HIDDEN>
References: <72041AB1-3DEF-44EF-B252-9270B6082BA6@HIDDEN>
 <83siilexen.fsf@HIDDEN> <4C067D86-5094-41F1-95A8-B8C8C7FF0009@HIDDEN>
 <83r3y5etj8.fsf@HIDDEN> <871tq5g7fy.fsf@HIDDEN>
To: Alexis <flexibeast@HIDDEN>
X-Mailer: Apple Mail (2.1878.6)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 18759
Cc: 18759 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello.

18 okt 2014 kl. 09:27 skrev Alexis <flexibeast@HIDDEN>:

> i think this 'soft return' might be '\v' / ASCII code 11, 'vertical =
tab'
> / Unicode 0x000B, 'LINE TABULATION' .... But i'm not on a Darwin =
system,
> myself.

It is not.  This is from emacs 24, which does not crash for me, nor does =
trunk:

             position: 205 of 209 (98%), column: 6
            character: =E2=80=A8 (displayed as =E2=80=A8) (codepoint =
8232, #o20050, #x2028)
    preferred charset: unicode (Unicode (ISO10646))
code point in charset: 0x2028
               script: symbol
               syntax: . 	which means: punctuation
             category: .:Base
             to input: type "C-x 8 RET HEX-CODEPOINT" or "C-x 8 RET =
NAME"
          buffer code: #xE2 #x80 #xA8
            file code: #xE2 #x80 #xA8 (encoded by coding system =
utf-8-unix)
              display: by this font (glyph code)
    mac-ct:-*-Arial Unicode =
MS-normal-normal-normal-*-12-*-*-*-p-0-iso10646-1 (#xCBB)

Character code properties: customize what to show
  name: LINE SEPARATOR
  general-category: Zl (Separator, Line)
  decomposition: (8232) ('=E2=80=A8')

There are text properties here:
  fontified            t

	Jan D.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18759; Package emacs. Full text available.

Message received at 18759 <at> debbugs.gnu.org:


Received: (at 18759) by debbugs.gnu.org; 18 Oct 2014 08:51:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 18 04:51:11 2014
Received: from localhost ([127.0.0.1]:47881 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XfPjD-0004XS-2b
	for submit <at> debbugs.gnu.org; Sat, 18 Oct 2014 04:51:11 -0400
Received: from mtaout21.012.net.il ([80.179.55.169]:35474)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1XfPj9-0004XD-5y
 for 18759 <at> debbugs.gnu.org; Sat, 18 Oct 2014 04:51:08 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
 a-mtaout21.012.net.il (HyperSendmail v2007.08) id
 <0NDM00K00TSTJ100@HIDDEN> for 18759 <at> debbugs.gnu.org;
 Sat, 18 Oct 2014 11:51:05 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NDM00K5PTX4E660@HIDDEN>;
 Sat, 18 Oct 2014 11:51:05 +0300 (IDT)
Date: Sat, 18 Oct 2014 11:50:50 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18759: 24.3.94; Yank from clipboard crashes
In-reply-to: <871tq5g7fy.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Alexis <flexibeast@HIDDEN>
Message-id: <83oat9ep79.fsf@HIDDEN>
References: <72041AB1-3DEF-44EF-B252-9270B6082BA6@HIDDEN>
 <83siilexen.fsf@HIDDEN> <4C067D86-5094-41F1-95A8-B8C8C7FF0009@HIDDEN>
 <83r3y5etj8.fsf@HIDDEN> <871tq5g7fy.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18759
Cc: 18759 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Alexis <flexibeast@HIDDEN>
> Date: Sat, 18 Oct 2014 18:27:58 +1100
> 
> i think this 'soft return' might be '\v' / ASCII code 11, 'vertical tab'
> / Unicode 0x000B, 'LINE TABULATION' .... But i'm not on a Darwin system,
> myself.

Thanks.  I see no problems pasting text with ^V into Emacs, but I'm
not on Darwin, either.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18759; Package emacs. Full text available.

Message received at 18759 <at> debbugs.gnu.org:


Received: (at 18759) by debbugs.gnu.org; 18 Oct 2014 07:31:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 18 03:31:39 2014
Received: from localhost ([127.0.0.1]:47862 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XfOUE-0002Zt-P7
	for submit <at> debbugs.gnu.org; Sat, 18 Oct 2014 03:31:39 -0400
Received: from mail-pa0-f51.google.com ([209.85.220.51]:59114)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <flexibeast@HIDDEN>) id 1XfOUC-0002Zj-MC
 for 18759 <at> debbugs.gnu.org; Sat, 18 Oct 2014 03:31:37 -0400
Received: by mail-pa0-f51.google.com with SMTP id lj1so2145655pab.10
 for <18759 <at> debbugs.gnu.org>; Sat, 18 Oct 2014 00:31:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=references:from:to:subject:date:in-reply-to:message-id:mime-version
 :content-type; bh=uJ++ro17NfswjCXCw7XNq8Ta0Fc4WVHXzVfzdSEijdE=;
 b=RC2B+FSF9IImEU6aGyI/OZSjRD7ClL1V3SYlsKSchG3Kq1aivk9rGSbmeCic/xgf0M
 sSEcixQMg9HEPZzuyx7QTv75XcQqBvX/JTXY1/Oq/TrU31oVIMvrBuM9TZNlc+BkCIlG
 AIo6TZkDcryfnJ965Ur8pPtwaj713ijZuJ1Bc3SQ/InAyj3DZ4VCkKPCI+dHrJYbeYal
 R+MdgMagFPHaMXyweqau6K9mLu7qI5XiKPS677D6INEDENLJ+W7xCPeul71626u7ksGu
 AlBhYdquHtJwg87LKypDxOU9wOtHoOTKVCONbijCAv/d39+aUnkAsgYMFcOaUsq879ML
 GwJQ==
X-Received: by 10.66.253.164 with SMTP id ab4mr13510148pad.59.1413617495663;
 Sat, 18 Oct 2014 00:31:35 -0700 (PDT)
Received: from localhost (ppp118-209-119-125.lns20.mel4.internode.on.net.
 [118.209.119.125])
 by mx.google.com with ESMTPSA id hz4sm3331558pbc.22.2014.10.18.00.31.33
 for <18759 <at> debbugs.gnu.org>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Sat, 18 Oct 2014 00:31:34 -0700 (PDT)
References: <72041AB1-3DEF-44EF-B252-9270B6082BA6@HIDDEN>
 <83siilexen.fsf@HIDDEN> <4C067D86-5094-41F1-95A8-B8C8C7FF0009@HIDDEN>
 <83r3y5etj8.fsf@HIDDEN>
From: Alexis <flexibeast@HIDDEN>
To: 18759 <at> debbugs.gnu.org
Subject: Re: bug#18759: 24.3.94; Yank from clipboard crashes
Date: Sat, 18 Oct 2014 18:27:58 +1100
In-reply-to: <83r3y5etj8.fsf@HIDDEN>
Message-ID: <871tq5g7fy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 18759
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


Eli Zaretskii writes:

>> From: Donald Tillman <don@HIDDEN>
>> Date: Fri, 17 Oct 2014 23:18:24 -0700
>> Cc: 18759 <at> debbugs.gnu.org
>> 
>> > What is a "shift-return character"?  Can you tell its Unicode
>> > codepoint?
>> > 
>> > Also, can you run under GDB and show the backtrace from the crash?
>> 
>> 
>> (Wow, that's fast!)
>> 
>> Sorry, I'm not set up for gdb right now.
>> 
>> It's also called a Soft Return.  If you are typing out text in Pages, the return key starts a new paragraph.  But typing shift-return starts a new line without starting a new paragraph.  The classic case is typing a postal address; you want to start new lines without creating new paragraphs.  
>> 
>> If you select a region that includes a soft return, Pages displays it as a little blue return arrow icon. 
>
> If you cannot describe what that soft return causes to be sent to
> Emacs when you paste, I guess someone with access to a Darwin system
> will have to debug this.

i think this 'soft return' might be '\v' / ASCII code 11, 'vertical tab'
/ Unicode 0x000B, 'LINE TABULATION' .... But i'm not on a Darwin system,
myself.


Alexis.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18759; Package emacs. Full text available.

Message received at 18759 <at> debbugs.gnu.org:


Received: (at 18759) by debbugs.gnu.org; 18 Oct 2014 07:17:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 18 03:17:36 2014
Received: from localhost ([127.0.0.1]:47854 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XfOGe-0002C0-B2
	for submit <at> debbugs.gnu.org; Sat, 18 Oct 2014 03:17:36 -0400
Received: from mtaout25.012.net.il ([80.179.55.181]:49647)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1XfOGa-0002Bo-7T
 for 18759 <at> debbugs.gnu.org; Sat, 18 Oct 2014 03:17:33 -0400
Received: from conversion-daemon.mtaout25.012.net.il by mtaout25.012.net.il
 (HyperSendmail v2007.08) id <0NDM00K00P1HPT00@HIDDEN> for
 18759 <at> debbugs.gnu.org; Sat, 18 Oct 2014 10:12:49 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout25.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NDM00EGOPDDJM60@HIDDEN>; Sat, 18 Oct 2014 10:12:49 +0300 (IDT)
Date: Sat, 18 Oct 2014 10:17:15 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18759: 24.3.94; Yank from clipboard crashes
In-reply-to: <4C067D86-5094-41F1-95A8-B8C8C7FF0009@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Donald Tillman <don@HIDDEN>
Message-id: <83r3y5etj8.fsf@HIDDEN>
References: <72041AB1-3DEF-44EF-B252-9270B6082BA6@HIDDEN>
 <83siilexen.fsf@HIDDEN> <4C067D86-5094-41F1-95A8-B8C8C7FF0009@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18759
Cc: 18759 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Donald Tillman <don@HIDDEN>
> Date: Fri, 17 Oct 2014 23:18:24 -0700
> Cc: 18759 <at> debbugs.gnu.org
> 
> > What is a "shift-return character"?  Can you tell its Unicode
> > codepoint?
> > 
> > Also, can you run under GDB and show the backtrace from the crash?
> 
> 
> (Wow, that's fast!)
> 
> Sorry, I'm not set up for gdb right now.
> 
> It's also called a Soft Return.  If you are typing out text in Pages, the return key starts a new paragraph.  But typing shift-return starts a new line without starting a new paragraph.  The classic case is typing a postal address; you want to start new lines without creating new paragraphs.  
> 
> If you select a region that includes a soft return, Pages displays it as a little blue return arrow icon. 

If you cannot describe what that soft return causes to be sent to
Emacs when you paste, I guess someone with access to a Darwin system
will have to debug this.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18759; Package emacs. Full text available.

Message received at 18759 <at> debbugs.gnu.org:


Received: (at 18759) by debbugs.gnu.org; 18 Oct 2014 06:18:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 18 02:18:46 2014
Received: from localhost ([127.0.0.1]:47846 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XfNLh-0000e2-P2
	for submit <at> debbugs.gnu.org; Sat, 18 Oct 2014 02:18:46 -0400
Received: from c.mail.sonic.net ([64.142.111.80]:49414)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <don@HIDDEN>) id 1XfNLe-0000dt-U7
 for 18759 <at> debbugs.gnu.org; Sat, 18 Oct 2014 02:18:43 -0400
Received: from [10.0.1.8] (173-228-125-209.dsl.static.fusionbroadband.com
 [173.228.125.209]) (authenticated bits=0)
 by c.mail.sonic.net (8.14.9/8.14.9) with ESMTP id s9I6IcSU015868
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT);
 Fri, 17 Oct 2014 23:18:39 -0700
Content-Type: text/plain; charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 7.3 \(1878.6\))
Subject: Re: bug#18759: 24.3.94; Yank from clipboard crashes
From: Donald Tillman <don@HIDDEN>
In-Reply-To: <83siilexen.fsf@HIDDEN>
Date: Fri, 17 Oct 2014 23:18:24 -0700
Content-Transfer-Encoding: quoted-printable
Message-Id: <4C067D86-5094-41F1-95A8-B8C8C7FF0009@HIDDEN>
References: <72041AB1-3DEF-44EF-B252-9270B6082BA6@HIDDEN>
 <83siilexen.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.1878.6)
X-Sonic-CAuth: UmFuZG9tSVZGwMu4ejs/8f4bkFX+5zsdwQ2RYGmJ8eYQLO6Ytggrv3y/yRO29m/1qjSx+rJ5tGp92ClcKT1TpI94//ugOwyo
X-Sonic-ID: C;XBJLmY5W5BGxN8rqBCAIFQ== M;TECvmY5W5BGxN8rqBCAIFQ==
X-Spam-Flag: No
X-Sonic-Spam-Details: 0.0/5.0 by cerberusd
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 18759
Cc: 18759 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


On Oct 17, 2014, at 10:53 PM, Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Donald Tillman <don@HIDDEN>
>> Date: Fri, 17 Oct 2014 21:25:47 -0700
>>=20
>> Use command-C to copy text from a Pages document, and then yank it =
into
>> an Emacs buffer with C-y.
>>=20
>> Normally this works fine.  But if the Pages text content includes a
>> shift-return character then the yank crashes Emacs.
>=20
> What is a "shift-return character"?  Can you tell its Unicode
> codepoint?
>=20
> Also, can you run under GDB and show the backtrace from the crash?


(Wow, that's fast!)

Sorry, I'm not set up for gdb right now.

It's also called a Soft Return.  If you are typing out text in Pages, =
the return key starts a new paragraph.  But typing shift-return starts a =
new line without starting a new paragraph.  The classic case is typing a =
postal address; you want to start new lines without creating new =
paragraphs. =20

If you select a region that includes a soft return, Pages displays it as =
a little blue return arrow icon.=20

Checking...

The same thing happens with soft returns in Keynote.

TextEdit doesn't seem to do soft returns.

  -- Don

--
Don Tillman
Palo Alto, California
don@HIDDEN
http://www.till.com








Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18759; Package emacs. Full text available.

Message received at 18759 <at> debbugs.gnu.org:


Received: (at 18759) by debbugs.gnu.org; 18 Oct 2014 05:53:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 18 01:53:56 2014
Received: from localhost ([127.0.0.1]:47841 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XfMxf-0008SU-DC
	for submit <at> debbugs.gnu.org; Sat, 18 Oct 2014 01:53:55 -0400
Received: from mtaout25.012.net.il ([80.179.55.181]:41365)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1XfMxd-0008SL-3x
 for 18759 <at> debbugs.gnu.org; Sat, 18 Oct 2014 01:53:54 -0400
Received: from conversion-daemon.mtaout25.012.net.il by mtaout25.012.net.il
 (HyperSendmail v2007.08) id <0NDM00300JZ40I00@HIDDEN> for
 18759 <at> debbugs.gnu.org; Sat, 18 Oct 2014 08:49:10 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout25.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NDM007Z2LHY7B00@HIDDEN>; Sat, 18 Oct 2014 08:49:10 +0300 (IDT)
Date: Sat, 18 Oct 2014 08:53:36 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18759: 24.3.94; Yank from clipboard crashes
In-reply-to: <72041AB1-3DEF-44EF-B252-9270B6082BA6@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Donald Tillman <don@HIDDEN>
Message-id: <83siilexen.fsf@HIDDEN>
References: <72041AB1-3DEF-44EF-B252-9270B6082BA6@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18759
Cc: 18759 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Donald Tillman <don@HIDDEN>
> Date: Fri, 17 Oct 2014 21:25:47 -0700
> 
> Use command-C to copy text from a Pages document, and then yank it into
> an Emacs buffer with C-y.
> 
> Normally this works fine.  But if the Pages text content includes a
> shift-return character then the yank crashes Emacs.

What is a "shift-return character"?  Can you tell its Unicode
codepoint?

Also, can you run under GDB and show the backtrace from the crash?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18759; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Oct 2014 04:26:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 18 00:26:26 2014
Received: from localhost ([127.0.0.1]:47818 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XfLaz-00069d-CR
	for submit <at> debbugs.gnu.org; Sat, 18 Oct 2014 00:26:25 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57314)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <don@HIDDEN>) id 1XfLaw-00069U-QO
 for submit <at> debbugs.gnu.org; Sat, 18 Oct 2014 00:26:23 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <don@HIDDEN>) id 1XfLaq-0003ZQ-TY
 for submit <at> debbugs.gnu.org; Sat, 18 Oct 2014 00:26:22 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.8 required=5.0 tests=AC_HTML_NONSENSE_TAGS, BAYES_50
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:44300)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <don@HIDDEN>)
 id 1XfLaq-0003ZM-QM
 for submit <at> debbugs.gnu.org; Sat, 18 Oct 2014 00:26:16 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:59036)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <don@HIDDEN>) id 1XfLal-0001rG-9i
 for bug-gnu-emacs@HIDDEN; Sat, 18 Oct 2014 00:26:16 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <don@HIDDEN>) id 1XfLag-0003Yn-1d
 for bug-gnu-emacs@HIDDEN; Sat, 18 Oct 2014 00:26:11 -0400
Received: from d.mail.sonic.net ([64.142.111.50]:58871)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <don@HIDDEN>)
 id 1XfLaf-0003Yb-PD
 for bug-gnu-emacs@HIDDEN; Sat, 18 Oct 2014 00:26:05 -0400
Received: from [10.0.1.8] (173-228-125-209.dsl.static.fusionbroadband.com
 [173.228.125.209]) (authenticated bits=0)
 by d.mail.sonic.net (8.14.9/8.14.9) with ESMTP id s9I4PxYe008615
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT)
 for <bug-gnu-emacs@HIDDEN>; Fri, 17 Oct 2014 21:26:01 -0700
From: Donald Tillman <don@HIDDEN>
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Subject: 24.3.94; Yank from clipboard crashes
Message-Id: <72041AB1-3DEF-44EF-B252-9270B6082BA6@HIDDEN>
Date: Fri, 17 Oct 2014 21:25:47 -0700
To: bug-gnu-emacs@HIDDEN
Mime-Version: 1.0 (Mac OS X Mail 7.3 \(1878.6\))
X-Mailer: Apple Mail (2.1878.6)
X-Sonic-CAuth: UmFuZG9tSVbgnVeI4C1JrzB5zC6lfpOP3b6wvWx3Lz0DfvOA0H75hr/bhE1ZZZ9+9qobQ7kuBDEDPQNhxzE/trTIK5vE4oH0
X-Sonic-ID: C;zE5X3H5W5BGyoIEG/FJGkA== M;npUz3X5W5BGyoIEG/FJGkA==
X-Sonic-Spam-Details: 1.0/5.0 by cerberusd
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--text follows this line--

Hi.

Here's an easily reproducible crash (well, don't do that then):

Use command-C to copy text from a Pages document, and then yank it into
an Emacs buffer with C-y.

Normally this works fine.  But if the Pages text content includes a
shift-return character then the yank crashes Emacs.

Thanks for all the great work you guys do!

  -- Don

--
Don Tillman
Palo Alto, California
don@HIDDEN
http://www.till.com
650 888-9632


In GNU Emacs 24.3.94.1 (x86_64-apple-darwin13.4.0, NS apple-appkit-1265.21)
of 2014-10-04 on builder10-9.porkrind.org
Windowing system distributor `Apple', version 10.3.1265
Configured using:
`configure --with-ns'

Important settings:
  locale-coding-system: utf-8-unix

Major mode: Apropos

Minor modes in effect:
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x b u g <return> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
C-g C-g C-h a b u g <return> C-x o C-x 1 C-s b u g 
- r e p C-g M-x r e c <backspace> p o r t SPC b SPC 
<return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Quit [2 times]
Type C-x 1 to remove help window.  
Quit

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr warnings emacsbug message format-spec
rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail misearch multi-isearch
help-mode easymenu apropos rainbow-mode-autoloads svg-clock-autoloads
package epg-config rmail rfc2047 rfc2045 ietf-drums mm-util help-fns
mail-prsvr mail-utils time-date tooltip electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel ns-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process cocoa ns
multi-tty emacs)

Memory information:
((conses 16 80881 8428)
(symbols 48 18141 0)
(miscs 40 89 196)
(strings 32 12535 4608)
(string-bytes 1 339188)
(vectors 16 9932)
(vector-slots 8 384531 10052)
(floats 8 60 283)
(intervals 56 440 7)
(buffers 960 15))







Acknowledgement sent to Donald Tillman <don@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#18759; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 28 Aug 2018 23:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.